hamwalk

## Class Ham4HMLGen

- java.lang.Object
- - org.antlr.runtime.BaseRecognizer
  - - org.antlr.runtime.tree.TreeParser
    - - hamwalk.Ham4HMLGen

-     public class Ham4HMLGen
      extends org.antlr.runtime.tree.TreeParser

  An ANTLR-generated tree-walker, which can be applied to the AST generated by a `Ham4Parser` for a HamNoSys 4 sign in order to obtain the corresponding HamNoSysML (HML) element.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `A1LIST`
    `static int` | `A1TLIST`
    `static int` | `A2TLIST`
    `static int` | `ACTION1`
    `static int` | `ACTION1T`
    `static int` | `ACTION2`
    `static int` | `ACTION2T`
    `static int` | `BASICHDSHP`
    `static int` | `BASICHDSHP1`
    `static int` | `CNTCTBODY`
    `static int` | `CNTCTHAND`
    `static int` | `CNTCTOFHAND`
    `static int` | `CNTCTOHARM`
    `static int` | `CNTCTOHHAND`
    `static int` | `CRCLRMVMT`
    `static int` | `EOF`
    `static int` | `EXTFIDIR`
    `static int` | `EXTFIDIR1`
    `static int` | `EXTFIDIR2`
    `static int` | `FCROSSING`
    `static int` | `FIBENDING`
    `static int` | `FICRSSLIST`
    `static int` | `FINGERLIST`
    `static int` | `FISHPLIST`
    `static org.antlr.runtime.BitSet` | `FOLLOW_A1TLIST_in_a1tstar11128`
    `static org.antlr.runtime.BitSet` | `FOLLOW_a1tstar_in_nondomsign1660`
    `static org.antlr.runtime.BitSet` | `FOLLOW_a1tstar_in_sign2429`
    `static org.antlr.runtime.BitSet` | `FOLLOW_a1tstar_in_sign2555`
    `static org.antlr.runtime.BitSet` | `FOLLOW_A2TLIST_in_a2tstar11048`
    `static org.antlr.runtime.BitSet` | `FOLLOW_a2tstar_in_sign2380`
    `static org.antlr.runtime.BitSet` | `FOLLOW_ACTION1_in_action111906`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1_in_action1t11561`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1_in_action2t11261`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1_in_nmicunit1374`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1_in_paraction113302`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1_in_seqaction113404`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1_in_seqfusedaction113509`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1_in_splitaction2loc212606`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1_in_splitaction2loc212649`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1t_in_a1tstar11146`
    `static org.antlr.runtime.BitSet` | `FOLLOW_ACTION1T_in_action1t11527`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1t_in_action2t11231`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1t_in_nmaction1t13223`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1t_in_paraction1t12876`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1t_in_seqaction1t12972`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1t_in_seqfusedaction1t13071`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1t_in_splitaction2t12745`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1t_in_splitaction2t12786`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action2t_in_a2tstar11066`
    `static org.antlr.runtime.BitSet` | `FOLLOW_ACTION2T_in_action2t11203`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action2t_in_paraction2t12326`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action2t_in_seqaction2t12422`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action2t_in_seqfusedaction2t12521`
    `static org.antlr.runtime.BitSet` | `FOLLOW_arc_in_arckind14988`
    `static org.antlr.runtime.BitSet` | `FOLLOW_arc_in_arckind15007`
    `static org.antlr.runtime.BitSet` | `FOLLOW_arckind_in_fullstraightmovement14797`
    `static org.antlr.runtime.BitSet` | `FOLLOW_basichandshape_in_basichandshape12531`
    `static org.antlr.runtime.BitSet` | `FOLLOW_basichandshape_in_basichandshape12554`
    `static org.antlr.runtime.BitSet` | `FOLLOW_basichandshape1_in_handshape12384`
    `static org.antlr.runtime.BitSet` | `FOLLOW_BASICHDSHP_in_basichandshape2603`
    `static org.antlr.runtime.BitSet` | `FOLLOW_BASICHDSHP1_in_basichandshape12513`
    `static org.antlr.runtime.BitSet` | `FOLLOW_ccontact_in_contacthand9006`
    `static org.antlr.runtime.BitSet` | `FOLLOW_ccontact_in_contactofhand9164`
    `static org.antlr.runtime.BitSet` | `FOLLOW_circularmovement_in_fullcircularmovement15377`
    `static org.antlr.runtime.BitSet` | `FOLLOW_clock_in_revolutions15723`
    `static org.antlr.runtime.BitSet` | `FOLLOW_clock_in_revolutions15909`
    `static org.antlr.runtime.BitSet` | `FOLLOW_CNTCTBODY_in_contactbody8786`
    `static org.antlr.runtime.BitSet` | `FOLLOW_CNTCTHAND_in_contacthand8946`
    `static org.antlr.runtime.BitSet` | `FOLLOW_CNTCTOFHAND_in_contactofhand9098`
    `static org.antlr.runtime.BitSet` | `FOLLOW_CNTCTOHARM_in_contactoharm9353`
    `static org.antlr.runtime.BitSet` | `FOLLOW_CNTCTOHHAND_in_contactohhand9294`
    `static org.antlr.runtime.BitSet` | `FOLLOW_contactbody_in_locationarm7857`
    `static org.antlr.runtime.BitSet` | `FOLLOW_contactbody_in_locationbody7629`
    `static org.antlr.runtime.BitSet` | `FOLLOW_contacthand_in_handconstellation9485`
    `static org.antlr.runtime.BitSet` | `FOLLOW_contacthand_in_locationhand7712`
    `static org.antlr.runtime.BitSet` | `FOLLOW_contactofhand_in_contactbody8892`
    `static org.antlr.runtime.BitSet` | `FOLLOW_contactofhand_in_contacthand9036`
    `static org.antlr.runtime.BitSet` | `FOLLOW_contactoharm_in_contactofhand9238`
    `static org.antlr.runtime.BitSet` | `FOLLOW_contactohhand_in_contactofhand9206`
    `static org.antlr.runtime.BitSet` | `FOLLOW_CRCLRMVMT_in_circularmovement15518`
    `static org.antlr.runtime.BitSet` | `FOLLOW_digit_in_fingercrossing4189`
    `static org.antlr.runtime.BitSet` | `FOLLOW_digit_in_fingercrossing4217`
    `static org.antlr.runtime.BitSet` | `FOLLOW_digit_in_fingershape4120`
    `static org.antlr.runtime.BitSet` | `FOLLOW_digit_in_levelhand8422`
    `static org.antlr.runtime.BitSet` | `FOLLOW_digit_in_levelhand8465`
    `static org.antlr.runtime.BitSet` | `FOLLOW_digit_in_location17260`
    `static org.antlr.runtime.BitSet` | `FOLLOW_digit_in_simplemovement14503`
    `static org.antlr.runtime.BitSet` | `FOLLOW_digit_in_simplemovement14676`
    `static org.antlr.runtime.BitSet` | `FOLLOW_dorsalorpalmar_in_levelarm8716`
    `static org.antlr.runtime.BitSet` | `FOLLOW_dorsalorpalmar_in_levelhand8542`
    `static org.antlr.runtime.BitSet` | `FOLLOW_ellipse_in_fullcircularmovement15448`
    `static org.antlr.runtime.BitSet` | `FOLLOW_ellipsedirection_in_ellipse15623`
    `static org.antlr.runtime.BitSet` | `FOLLOW_ellipsedirection_in_repetitions13723`
    `static org.antlr.runtime.BitSet` | `FOLLOW_ellipsedirection_in_zigzag15208`
    `static org.antlr.runtime.BitSet` | `FOLLOW_extfidir_in_extfidir14771`
    `static org.antlr.runtime.BitSet` | `FOLLOW_extfidir_in_extfidir14788`
    `static org.antlr.runtime.BitSet` | `FOLLOW_EXTFIDIR_in_extfidir4874`
    `static org.antlr.runtime.BitSet` | `FOLLOW_EXTFIDIR1_in_extfidir14754`
    `static org.antlr.runtime.BitSet` | `FOLLOW_extfidir1_in_extfidir24682`
    `static org.antlr.runtime.BitSet` | `FOLLOW_extfidir1_in_extfidir24701`
    `static org.antlr.runtime.BitSet` | `FOLLOW_extfidir1_in_handconfig11894`
    `static org.antlr.runtime.BitSet` | `FOLLOW_extfidir1_in_handconfigtail22155`
    `static org.antlr.runtime.BitSet` | `FOLLOW_extfidir1_in_handconfigtail22200`
    `static org.antlr.runtime.BitSet` | `FOLLOW_extfidir1_in_replacement16241`
    `static org.antlr.runtime.BitSet` | `FOLLOW_extfidir1_in_replacetail116472`
    `static org.antlr.runtime.BitSet` | `FOLLOW_EXTFIDIR2_in_extfidir24663`
    `static org.antlr.runtime.BitSet` | `FOLLOW_extfidir2_in_handconfigtail22081`
    `static org.antlr.runtime.BitSet` | `FOLLOW_FCROSSING_in_fingercrossing4175`
    `static org.antlr.runtime.BitSet` | `FOLLOW_FIBENDING_in_fingerbending3259`
    `static org.antlr.runtime.BitSet` | `FOLLOW_FICRSSLIST_in_fingercrossinglist4034`
    `static org.antlr.runtime.BitSet` | `FOLLOW_finger_in_digit3826`
    `static org.antlr.runtime.BitSet` | `FOLLOW_finger_in_hsfingeritem3724`
    `static org.antlr.runtime.BitSet` | `FOLLOW_finger_in_thumbspecial4304`
    `static org.antlr.runtime.BitSet` | `FOLLOW_finger_in_thumbspecial4330`
    `static org.antlr.runtime.BitSet` | `FOLLOW_fingerbending_in_basichandshape2798`
    `static org.antlr.runtime.BitSet` | `FOLLOW_fingerbending_in_basichandshape2839`
    `static org.antlr.runtime.BitSet` | `FOLLOW_fingerbending_in_fingershape4134`
    `static org.antlr.runtime.BitSet` | `FOLLOW_fingercrossing_in_fingercrossinglist4050`
    `static org.antlr.runtime.BitSet` | `FOLLOW_fingercrossinglist_in_handshape12447`
    `static org.antlr.runtime.BitSet` | `FOLLOW_FINGERLIST_in_fingerlist3875`
    `static org.antlr.runtime.BitSet` | `FOLLOW_fingerlist_in_handshape12403`
    `static org.antlr.runtime.BitSet` | `FOLLOW_fingerpart_in_fingercrossing4203`
    `static org.antlr.runtime.BitSet` | `FOLLOW_fingerpart_in_levelhand8391`
    `static org.antlr.runtime.BitSet` | `FOLLOW_fingerpart_in_levelhand8499`
    `static org.antlr.runtime.BitSet` | `FOLLOW_fingerpart_in_thumbspecial4428`
    `static org.antlr.runtime.BitSet` | `FOLLOW_fingershape_in_fingershapelist3971`
    `static org.antlr.runtime.BitSet` | `FOLLOW_fingershapelist_in_handshape12425`
    `static org.antlr.runtime.BitSet` | `FOLLOW_FISHPLIST_in_fingershapelist3955`
    `static org.antlr.runtime.BitSet` | `FOLLOW_FSHAPE_in_fingershape4105`
    `static org.antlr.runtime.BitSet` | `FOLLOW_fullcircularmovement_in_simplemovement14358`
    `static org.antlr.runtime.BitSet` | `FOLLOW_fullmovementcross_in_simplemovement14416`
    `static org.antlr.runtime.BitSet` | `FOLLOW_fullstraightmovement_in_simplemovement14329`
    `static org.antlr.runtime.BitSet` | `FOLLOW_fullwristmovement_in_simplemovement14387`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamAlternatingmotion_in_repetitions13975`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamAlternatingmotion_in_repetitions13988`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamAlternatingmotion_in_repetitions14033`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamAlternatingmotion_in_repetitions14054`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamAlternatingmotion_in_symmoperator950`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamArcd_in_arc18318`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamArcl_in_arc18246`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamArcr_in_arc18294`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamArcu_in_arc18270`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamArmextended_in_contactbody8840`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamArmextended_in_location27115`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamArmextended_in_locationbodyarm7466`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamBehind_in_locationarm7801`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamBehind_in_locationbody7573`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamBelowstomach_in_locbody10191`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamBetween_in_thumbspecial4278`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamBrushing_in_simplemovement14628`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamCee12_in_handshapeclass3151`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamCee12open_in_handshapeclass3204`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamCeeall_in_handshapeclass3178`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamCheek_in_locsided10386`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamChest_in_locbody10131`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamChin_in_locbody9988`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamCircled_in_movementcircle17395`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamCircledi_in_movementcircle17679`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamCircledl_in_movementcircle17539`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamCircledo_in_movementcircle17659`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamCircledr_in_movementcircle17499`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamCirclei_in_movementcircle17374`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamCircleil_in_movementcircle17619`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamCircleir_in_movementcircle17579`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamCirclel_in_movementcircle17437`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamCircleo_in_movementcircle17353`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamCircleol_in_movementcircle17559`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamCircleor_in_movementcircle17599`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamCircler_in_movementcircle17458`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamCircleu_in_movementcircle17416`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamCircleui_in_movementcircle17639`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamCircleul_in_movementcircle17479`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamCircleuo_in_movementcircle17699`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamCircleur_in_movementcircle17519`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamClockd_in_clock17962`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamClockdl_in_clock17941`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamClockdr_in_clock17984`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamClockfull_in_revolutions15755`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamClockfull_in_revolutions15784`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamClockfull_in_revolutions15833`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamClockfull_in_revolutions15862`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamClockl_in_clock17919`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamClockr_in_clock18005`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamClocku_in_clock17876`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamClockul_in_clock17898`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamClockur_in_clock18027`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamClose_in_pcontact10882`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamCross_in_ccontact10976`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamDecreasing_in_sizechange18470`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamDoublebent_in_fingerbending3336`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamDoublebent_in_locbody10235`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamDoublehooked_in_fingerbending3362`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamDoublehooked_in_locbody10261`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamEar_in_locsided10332`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamEarlobe_in_locsided10361`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamElbow_in_locarm9564`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamElbowinside_in_locarm9591`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamEllipseh_in_ellipsedirection17755`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamEllipseul_in_ellipsedirection17814`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamEllipseur_in_ellipsedirection17775`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamEllipsev_in_ellipsedirection17794`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamEtc_in_basichandshape2681`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamEtc_in_levelarm8681`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamEtc_in_levelbody8211`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamEtc_in_palmor16654`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamEtc_in_repetitions13679`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingerd_in_extfidir5026`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingerdi_in_extfidir5586`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingerdi_in_extfidir5768`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingerdi_in_extfidir6306`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingerdl_in_extfidir5056`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingerdo_in_extfidir5252`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingerdo_in_extfidir5434`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingerdo_in_extfidir6002`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingerdr_in_extfidir4997`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingeri_in_extfidir5640`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingeril_in_extfidir5506`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingeril_in_extfidir6205`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingeril_in_extfidir6357`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingerir_in_extfidir5688`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingerir_in_extfidir6234`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingerir_in_extfidir6386`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingerl_in_extfidir5085`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingero_in_extfidir5306`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingerol_in_extfidir5172`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingerol_in_extfidir5901`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingerol_in_extfidir6053`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingeror_in_extfidir5354`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingeror_in_extfidir5930`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingeror_in_extfidir6082`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingerr_in_extfidir4967`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingeru_in_extfidir4908`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingerui_in_extfidir5557`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingerui_in_extfidir5739`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingerui_in_extfidir6154`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingerul_in_extfidir5115`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingeruo_in_extfidir5223`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingeruo_in_extfidir5405`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingeruo_in_extfidir5850`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingerur_in_extfidir4938`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamEyebrows_in_locbody9775`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamEyes_in_locbody9803`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamFast_in_modifier18088`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamFinger2_in_handshapeclass2992`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamFinger23_in_handshapeclass3017`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamFinger2345_in_handshapeclass3059`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamFinger23spread_in_handshapeclass3041`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamFingerbase_in_fingerpart4580`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamFingerbendmod_in_fingerbending3292`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamFingerhookedmod_in_fingerbending3315`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamFingermidjoint_in_fingerpart4562`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamFingernail_in_fingerpart4517`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamFingerpad_in_fingerpart4539`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamFingerplay_in_simplemovement14568`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamFingerside_in_fingerpart4602`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamFingerstraightmod_in_fingerbending3273`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamFingerstraightmod_in_symmoperator848`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamFingerstraightmod_in_symmoperator882`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamFingertip_in_fingerpart4494`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamFist_in_handshapeclass2940`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamFlathand_in_handshapeclass2968`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamForehead_in_locbody9747`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamHalt_in_modifier18183`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamHandback_in_dorsalorpalmar10765`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamHandback_in_handpart10547`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamHead_in_locbody9686`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamHeadtop_in_locbody9718`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamIncreasing_in_sizechange18452`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamIndexfinger_in_finger3583`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamInterlock_in_ccontact10953`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamLargemod_in_action112117`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamLargemod_in_action1t11622`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamLargemod_in_hsfingeritem3744`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamLargemod_in_size18400`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamLargemod_in_symmoperator813`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamLargemod_in_symmoperator905`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamLips_in_locbody9895`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamLowerarm_in_locarm9612`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamLrat_in_side10703`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamLrbeside_in_side10679`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamMiddlefinger_in_finger3604`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamMovecross_in_movementcross17150`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamMoved_in_movementarrow16803`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamMovedi_in_movementarrow17049`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamMovedl_in_movementarrow16826`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamMovedo_in_movementarrow17071`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamMovedr_in_movementarrow16781`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamMovei_in_movementarrow16982`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamMoveil_in_movementarrow16960`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamMoveir_in_movementarrow17005`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamMovel_in_movementarrow16848`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamMoveo_in_movementarrow16915`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamMoveol_in_movementarrow16893`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamMoveor_in_movementarrow16938`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamMover_in_movementarrow16758`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamMoveu_in_movementarrow16713`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamMoveui_in_movementarrow17027`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamMoveul_in_movementarrow16871`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamMoveuo_in_movementarrow17093`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamMoveur_in_movementarrow16736`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamMovex_in_movementcross17169`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamNeck_in_locbody10047`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamNodding_in_wristmovement17221`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamNomotion_in_action111940`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamNomotion_in_sign2466`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamNondominant_in_basichandshape2654`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamNondominant_in_nondomsign1629`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamNondominant_in_sign2500`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamNonipsi_in_symmoperator972`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamNose_in_locbody9835`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamNostrils_in_locbody9867`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamOrirelative_in_extfidir14811`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamOrirelative_in_palmor16696`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamPalm_in_dorsalorpalmar10789`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamPalm_in_handpart10519`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamPalmd_in_palmor6855`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamPalmdl_in_palmor6878`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamPalmdr_in_palmor6833`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamPalml_in_palmor6900`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamPalmr_in_palmor6810`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamPalmu_in_palmor6765`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamPalmul_in_palmor6923`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamPalmur_in_palmor6788`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamPinch12_in_handshapeclass3081`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamPinch12open_in_handshapeclass3130`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamPinchall_in_handshapeclass3106`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamPinky_in_finger3646`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamPinkyside_in_handpart10594`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamPlus_in_minitialconfig21549`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamPlus_in_splitaction2loc212629`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamPlus_in_splitaction2t12767`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamRepeatcontinue_in_repetition16615`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamRepeatcontinueseveral_in_repetition16629`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamRepeatfromstart_in_repetition16562`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamRepeatfromstartseveral_in_repetition16575`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamRepeatreverse_in_repetition16669`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamRest_in_modifier18159`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamRingfinger_in_finger3624`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamShoulders_in_locbody10104`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamShouldertop_in_locbody10079`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HAMSIGNS_in_hamsignseq134`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamSlow_in_modifier18112`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamSmallmod_in_size18380`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamStirccw_in_wristmovement17304`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamStircw_in_wristmovement17282`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamStomach_in_locbody10162`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamSwinging_in_wristmovement17242`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamSymmlr_in_symmoperator765`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamSymmpar_in_symmoperator730`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamTeeth_in_locbody9957`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamTense_in_modifier18136`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamThumb_in_thumb3533`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamThumbacrossmod_in_thumbpos3458`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamThumbball_in_handpart10496`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamThumbopenmod_in_thumbpos3476`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamThumboutmod_in_thumbpos3437`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamThumbside_in_handpart10571`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamTongue_in_locbody9927`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamTouch_in_pcontact10855`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamTwisting_in_wristmovement17262`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamUnderchin_in_locbody10020`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamUpperarm_in_locarm9540`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamWavy_in_zigzag15149`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamWristback_in_handpart10451`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamWristpulse_in_handpart10474`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamZigzag_in_zigzag15113`
    `static org.antlr.runtime.BitSet` | `FOLLOW_handconfig1_in_minitialconfig11640`
    `static org.antlr.runtime.BitSet` | `FOLLOW_handconfig1_in_minitialconfig21502`
    `static org.antlr.runtime.BitSet` | `FOLLOW_handconfig1_in_splithandconfig21987`
    `static org.antlr.runtime.BitSet` | `FOLLOW_handconfig1_in_splithandconfig22003`
    `static org.antlr.runtime.BitSet` | `FOLLOW_handconfig2_in_minitialconfig21446`
    `static org.antlr.runtime.BitSet` | `FOLLOW_handconfigtail2_in_handconfig21764`
    `static org.antlr.runtime.BitSet` | `FOLLOW_handconstellation_in_action1t11666`
    `static org.antlr.runtime.BitSet` | `FOLLOW_handconstellation_in_location27077`
    `static org.antlr.runtime.BitSet` | `FOLLOW_handpart_in_levelhand8352`
    `static org.antlr.runtime.BitSet` | `FOLLOW_handshape1_in_handconfig11876`
    `static org.antlr.runtime.BitSet` | `FOLLOW_handshape1_in_handshape22299`
    `static org.antlr.runtime.BitSet` | `FOLLOW_handshape1_in_handshape22317`
    `static org.antlr.runtime.BitSet` | `FOLLOW_handshape1_in_replacement16174`
    `static org.antlr.runtime.BitSet` | `FOLLOW_handshape2_in_handconfig21743`
    `static org.antlr.runtime.BitSet` | `FOLLOW_handshapeclass_in_basichandshape2625`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HCONSTLLN_in_handconstellation9409`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HDCFGTAIL2_in_handconfigtail22047`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HDCONFIG1_in_handconfig11857`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HDCONFIG2_in_handconfig21707`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HSCLASS_in_handshapeclass2926`
    `static org.antlr.runtime.BitSet` | `FOLLOW_hsfingeritem_in_fingerlist3891`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HSFINGERITEM_in_hsfingeritem3710`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HSHAPE1_in_handshape12365`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HSHAPE2_in_handshape22281`
    `static org.antlr.runtime.BitSet` | `FOLLOW_ICFG1_in_initialconfig11112`
    `static org.antlr.runtime.BitSet` | `FOLLOW_ICFG2_in_initialconfig21033`
    `static org.antlr.runtime.BitSet` | `FOLLOW_initialconfig1_in_nondomsign1644`
    `static org.antlr.runtime.BitSet` | `FOLLOW_initialconfig1_in_sign2535`
    `static org.antlr.runtime.BitSet` | `FOLLOW_initialconfig2_in_sign2360`
    `static org.antlr.runtime.BitSet` | `FOLLOW_initialconfig2_in_sign2409`
    `static org.antlr.runtime.BitSet` | `FOLLOW_LEVARM_in_levelarm8619`
    `static org.antlr.runtime.BitSet` | `FOLLOW_LEVBODY_in_levelbody8100`
    `static org.antlr.runtime.BitSet` | `FOLLOW_levelarm_in_levelcomplexarm8035`
    `static org.antlr.runtime.BitSet` | `FOLLOW_levelarm_in_levelcomplexarm8053`
    `static org.antlr.runtime.BitSet` | `FOLLOW_levelarm_in_nmaction1t13192`
    `static org.antlr.runtime.BitSet` | `FOLLOW_levelarm_in_nmicunit1350`
    `static org.antlr.runtime.BitSet` | `FOLLOW_levelbody_in_levelcomplexbody7908`
    `static org.antlr.runtime.BitSet` | `FOLLOW_levelbody_in_levelcomplexbody7926`
    `static org.antlr.runtime.BitSet` | `FOLLOW_levelbody_in_nmaction1t13163`
    `static org.antlr.runtime.BitSet` | `FOLLOW_levelbody_in_nmicunit1321`
    `static org.antlr.runtime.BitSet` | `FOLLOW_levelcomplexarm_in_contactoharm9367`
    `static org.antlr.runtime.BitSet` | `FOLLOW_levelcomplexarm_in_locationarm7781`
    `static org.antlr.runtime.BitSet` | `FOLLOW_levelcomplexbody_in_locationbody7553`
    `static org.antlr.runtime.BitSet` | `FOLLOW_levelcomplexhand_in_contactohhand9308`
    `static org.antlr.runtime.BitSet` | `FOLLOW_levelcomplexhand_in_locationhand7693`
    `static org.antlr.runtime.BitSet` | `FOLLOW_levelhand_in_levelcomplexhand7971`
    `static org.antlr.runtime.BitSet` | `FOLLOW_levelhand_in_levelcomplexhand7989`
    `static org.antlr.runtime.BitSet` | `FOLLOW_LEVHAND_in_levelhand8300`
    `static org.antlr.runtime.BitSet` | `FOLLOW_LOC1_in_location17232`
    `static org.antlr.runtime.BitSet` | `FOLLOW_LOC2_in_location26988`
    `static org.antlr.runtime.BitSet` | `FOLLOW_locarm_in_levelarm8661`
    `static org.antlr.runtime.BitSet` | `FOLLOW_location1_in_action1t11598`
    `static org.antlr.runtime.BitSet` | `FOLLOW_location1_in_location27020`
    `static org.antlr.runtime.BitSet` | `FOLLOW_location1_in_location27041`
    `static org.antlr.runtime.BitSet` | `FOLLOW_location1_in_minitialconfig11657`
    `static org.antlr.runtime.BitSet` | `FOLLOW_location1_in_minitialconfig21522`
    `static org.antlr.runtime.BitSet` | `FOLLOW_location1_in_minitialconfig21569`
    `static org.antlr.runtime.BitSet` | `FOLLOW_location1_in_simplemovement14647`
    `static org.antlr.runtime.BitSet` | `FOLLOW_location2_in_action2t11279`
    `static org.antlr.runtime.BitSet` | `FOLLOW_location2_in_minitialconfig21467`
    `static org.antlr.runtime.BitSet` | `FOLLOW_location2_in_splitaction2loc212680`
    `static org.antlr.runtime.BitSet` | `FOLLOW_locationarm_in_locationbodyarm7440`
    `static org.antlr.runtime.BitSet` | `FOLLOW_locationbody_in_location27161`
    `static org.antlr.runtime.BitSet` | `FOLLOW_locationbody_in_locationbodyarm7412`
    `static org.antlr.runtime.BitSet` | `FOLLOW_locationbodyarm_in_location17330`
    `static org.antlr.runtime.BitSet` | `FOLLOW_locationhand_in_handconstellation9437`
    `static org.antlr.runtime.BitSet` | `FOLLOW_locationhand_in_handconstellation9455`
    `static org.antlr.runtime.BitSet` | `FOLLOW_locationhand_in_location17302`
    `static org.antlr.runtime.BitSet` | `FOLLOW_locbody_in_levelbody8152`
    `static org.antlr.runtime.BitSet` | `FOLLOW_LOCBODY_in_locbody9672`
    `static org.antlr.runtime.BitSet` | `FOLLOW_locsided_in_levelbody8181`
    `static org.antlr.runtime.BitSet` | `FOLLOW_LOCTNARM_in_locationarm7763`
    `static org.antlr.runtime.BitSet` | `FOLLOW_LOCTNBODY_in_locationbody7535`
    `static org.antlr.runtime.BitSet` | `FOLLOW_LOCTNBODYARM_in_locationbodyarm7384`
    `static org.antlr.runtime.BitSet` | `FOLLOW_LOCTNHAND_in_locationhand7675`
    `static org.antlr.runtime.BitSet` | `FOLLOW_MICFG1_in_minitialconfig11622`
    `static org.antlr.runtime.BitSet` | `FOLLOW_MICFG2_in_minitialconfig21414`
    `static org.antlr.runtime.BitSet` | `FOLLOW_minitialconfig1_in_initialconfig11150`
    `static org.antlr.runtime.BitSet` | `FOLLOW_minitialconfig2_in_initialconfig21071`
    `static org.antlr.runtime.BitSet` | `FOLLOW_modifier_in_action112050`
    `static org.antlr.runtime.BitSet` | `FOLLOW_movementarrow_in_movingrepetition14158`
    `static org.antlr.runtime.BitSet` | `FOLLOW_movementarrow_in_straightmovement14902`
    `static org.antlr.runtime.BitSet` | `FOLLOW_movementarrow_in_straightmovement14921`
    `static org.antlr.runtime.BitSet` | `FOLLOW_movementcircle_in_circularmovement15536`
    `static org.antlr.runtime.BitSet` | `FOLLOW_movementcircle_in_circularmovement15554`
    `static org.antlr.runtime.BitSet` | `FOLLOW_movementcross_in_fullmovementcross16054`
    `static org.antlr.runtime.BitSet` | `FOLLOW_MOVINGREPETITION_in_movingrepetition14111`
    `static org.antlr.runtime.BitSet` | `FOLLOW_movingrepetition_in_repetitions13832`
    `static org.antlr.runtime.BitSet` | `FOLLOW_NMACT1T_in_nmaction1t13134`
    `static org.antlr.runtime.BitSet` | `FOLLOW_nmaction1t_in_action1t11808`
    `static org.antlr.runtime.BitSet` | `FOLLOW_NMICLIST_in_nminitialconfig1198`
    `static org.antlr.runtime.BitSet` | `FOLLOW_NMICUNIT_in_nmicunit1293`
    `static org.antlr.runtime.BitSet` | `FOLLOW_nmicunit_in_nminitialconfig1227`
    `static org.antlr.runtime.BitSet` | `FOLLOW_nminitialconfig_in_initialconfig11129`
    `static org.antlr.runtime.BitSet` | `FOLLOW_nminitialconfig_in_initialconfig21050`
    `static org.antlr.runtime.BitSet` | `FOLLOW_nondomsign1_in_sign2or1258`
    `static org.antlr.runtime.BitSet` | `FOLLOW_palmor_in_palmor16596`
    `static org.antlr.runtime.BitSet` | `FOLLOW_palmor_in_palmor16624`
    `static org.antlr.runtime.BitSet` | `FOLLOW_palmor1_in_handconfig11916`
    `static org.antlr.runtime.BitSet` | `FOLLOW_palmor1_in_handconfigtail22178`
    `static org.antlr.runtime.BitSet` | `FOLLOW_palmor1_in_handconfigtail22223`
    `static org.antlr.runtime.BitSet` | `FOLLOW_PALMOR1_in_palmor16578`
    `static org.antlr.runtime.BitSet` | `FOLLOW_palmor1_in_palmor26505`
    `static org.antlr.runtime.BitSet` | `FOLLOW_palmor1_in_palmor26523`
    `static org.antlr.runtime.BitSet` | `FOLLOW_palmor1_in_replacement16264`
    `static org.antlr.runtime.BitSet` | `FOLLOW_palmor1_in_replacement16300`
    `static org.antlr.runtime.BitSet` | `FOLLOW_palmor1_in_replacetail116498`
    `static org.antlr.runtime.BitSet` | `FOLLOW_palmor2_in_handconfigtail22113`
    `static org.antlr.runtime.BitSet` | `FOLLOW_PALMOR2_in_palmor26487`
    `static org.antlr.runtime.BitSet` | `FOLLOW_PARACT1_in_paraction113272`
    `static org.antlr.runtime.BitSet` | `FOLLOW_PARACT1T_in_paraction1t12846`
    `static org.antlr.runtime.BitSet` | `FOLLOW_PARACT2T_in_paraction2t12296`
    `static org.antlr.runtime.BitSet` | `FOLLOW_paraction1_in_action112171`
    `static org.antlr.runtime.BitSet` | `FOLLOW_paraction1t_in_action1t11713`
    `static org.antlr.runtime.BitSet` | `FOLLOW_paraction2t_in_action2t11380`
    `static org.antlr.runtime.BitSet` | `FOLLOW_pcontact_in_contactbody8816`
    `static org.antlr.runtime.BitSet` | `FOLLOW_pcontact_in_contacthand8976`
    `static org.antlr.runtime.BitSet` | `FOLLOW_pcontact_in_contactofhand9131`
    `static org.antlr.runtime.BitSet` | `FOLLOW_repetition_in_movingrepetition14135`
    `static org.antlr.runtime.BitSet` | `FOLLOW_repetition_in_repetitions13633`
    `static org.antlr.runtime.BitSet` | `FOLLOW_repetition_in_repetitions13771`
    `static org.antlr.runtime.BitSet` | `FOLLOW_repetitions_in_action1t11850`
    `static org.antlr.runtime.BitSet` | `FOLLOW_repetitions_in_action2t11472`
    `static org.antlr.runtime.BitSet` | `FOLLOW_REPETITIONS_in_repetitions13582`
    `static org.antlr.runtime.BitSet` | `FOLLOW_REPLACE_in_replacement16133`
    `static org.antlr.runtime.BitSet` | `FOLLOW_replacement_in_simplemovement14445`
    `static org.antlr.runtime.BitSet` | `FOLLOW_REPLACETAIL1_in_replacetail116440`
    `static org.antlr.runtime.BitSet` | `FOLLOW_replacetail1_in_splitreplacetail16372`
    `static org.antlr.runtime.BitSet` | `FOLLOW_replacetail1_in_splitreplacetail16390`
    `static org.antlr.runtime.BitSet` | `FOLLOW_revolutions_in_fullcircularmovement15425`
    `static org.antlr.runtime.BitSet` | `FOLLOW_SEQACT1_in_seqaction113374`
    `static org.antlr.runtime.BitSet` | `FOLLOW_SEQACT1T_in_seqaction1t12942`
    `static org.antlr.runtime.BitSet` | `FOLLOW_SEQACT2T_in_seqaction2t12392`
    `static org.antlr.runtime.BitSet` | `FOLLOW_seqaction1_in_action112203`
    `static org.antlr.runtime.BitSet` | `FOLLOW_seqaction1t_in_action1t11745`
    `static org.antlr.runtime.BitSet` | `FOLLOW_seqaction2t_in_action2t11408`
    `static org.antlr.runtime.BitSet` | `FOLLOW_SEQFUSEDACT1_in_seqfusedaction113479`
    `static org.antlr.runtime.BitSet` | `FOLLOW_SEQFUSEDACT1T_in_seqfusedaction1t13041`
    `static org.antlr.runtime.BitSet` | `FOLLOW_SEQFUSEDACT2T_in_seqfusedaction2t12491`
    `static org.antlr.runtime.BitSet` | `FOLLOW_seqfusedaction1_in_action112235`
    `static org.antlr.runtime.BitSet` | `FOLLOW_seqfusedaction1t_in_action1t11777`
    `static org.antlr.runtime.BitSet` | `FOLLOW_seqfusedaction2t_in_action2t11436`
    `static org.antlr.runtime.BitSet` | `FOLLOW_side_in_levelarm8638`
    `static org.antlr.runtime.BitSet` | `FOLLOW_side_in_levelarm8738`
    `static org.antlr.runtime.BitSet` | `FOLLOW_side_in_levelbody8119`
    `static org.antlr.runtime.BitSet` | `FOLLOW_side_in_levelbody8246`
    `static org.antlr.runtime.BitSet` | `FOLLOW_side_in_levelhand8319`
    `static org.antlr.runtime.BitSet` | `FOLLOW_side_in_levelhand8564`
    `static org.antlr.runtime.BitSet` | `FOLLOW_SIGN1_in_nondomsign1609`
    `static org.antlr.runtime.BitSet` | `FOLLOW_SIGN2_in_sign2309`
    `static org.antlr.runtime.BitSet` | `FOLLOW_sign2_in_sign2or1231`
    `static org.antlr.runtime.BitSet` | `FOLLOW_sign2or1_in_hamsignseq149`
    `static org.antlr.runtime.BitSet` | `FOLLOW_simplemovement_in_action111996`
    `static org.antlr.runtime.BitSet` | `FOLLOW_SIMPLEMVMT_in_simplemovement14300`
    `static org.antlr.runtime.BitSet` | `FOLLOW_size_in_arckind15030`
    `static org.antlr.runtime.BitSet` | `FOLLOW_size_in_ellipse15642`
    `static org.antlr.runtime.BitSet` | `FOLLOW_size_in_fullcircularmovement15402`
    `static org.antlr.runtime.BitSet` | `FOLLOW_size_in_fullmovementcross16073`
    `static org.antlr.runtime.BitSet` | `FOLLOW_size_in_fullstraightmovement14764`
    `static org.antlr.runtime.BitSet` | `FOLLOW_size_in_fullwristmovement15991`
    `static org.antlr.runtime.BitSet` | `FOLLOW_size_in_movingrepetition14181`
    `static org.antlr.runtime.BitSet` | `FOLLOW_size_in_movingrepetition14238`
    `static org.antlr.runtime.BitSet` | `FOLLOW_size_in_repetitions13915`
    `static org.antlr.runtime.BitSet` | `FOLLOW_size_in_sizechangenonlinear15314`
    `static org.antlr.runtime.BitSet` | `FOLLOW_size_in_zigzag15186`
    `static org.antlr.runtime.BitSet` | `FOLLOW_sizechange_in_movingrepetition14217`
    `static org.antlr.runtime.BitSet` | `FOLLOW_sizechange_in_repetitions13888`
    `static org.antlr.runtime.BitSet` | `FOLLOW_sizechange_in_replacement16152`
    `static org.antlr.runtime.BitSet` | `FOLLOW_sizechange_in_sizechangenonlinear15295`
    `static org.antlr.runtime.BitSet` | `FOLLOW_sizechangenonlinear_in_fullcircularmovement15471`
    `static org.antlr.runtime.BitSet` | `FOLLOW_sizechangenonlinear_in_zigzag15231`
    `static org.antlr.runtime.BitSet` | `FOLLOW_SPLITACT2LOC2_in_splitaction2loc212586`
    `static org.antlr.runtime.BitSet` | `FOLLOW_SPLITACT2T_in_splitaction2t12726`
    `static org.antlr.runtime.BitSet` | `FOLLOW_splitaction2loc2_in_action2t11308`
    `static org.antlr.runtime.BitSet` | `FOLLOW_splitaction2t_in_action2t11343`
    `static org.antlr.runtime.BitSet` | `FOLLOW_splithandconfig2_in_handconfig21803`
    `static org.antlr.runtime.BitSet` | `FOLLOW_SPLITHDCFG2_in_splithandconfig21971`
    `static org.antlr.runtime.BitSet` | `FOLLOW_splitreplacetail_in_replacement16209`
    `static org.antlr.runtime.BitSet` | `FOLLOW_SPLITREPLACETL_in_splitreplacetail16354`
    `static org.antlr.runtime.BitSet` | `FOLLOW_straightmovement_in_fullstraightmovement14739`
    `static org.antlr.runtime.BitSet` | `FOLLOW_STRGHTMVMT_in_straightmovement14883`
    `static org.antlr.runtime.BitSet` | `FOLLOW_symmoperator_in_sign2341`
    `static org.antlr.runtime.BitSet` | `FOLLOW_THSPECIAL_in_thumbspecial4263`
    `static org.antlr.runtime.BitSet` | `FOLLOW_thumb_in_digit3812`
    `static org.antlr.runtime.BitSet` | `FOLLOW_thumb_in_thumbspecial4395`
    `static org.antlr.runtime.BitSet` | `FOLLOW_thumbpos_in_basichandshape2765`
    `static org.antlr.runtime.BitSet` | `FOLLOW_thumbpos_in_basichandshape2867`
    `static org.antlr.runtime.BitSet` | `FOLLOW_THUMBPOS_in_thumbpos3423`
    `static org.antlr.runtime.BitSet` | `FOLLOW_thumbspecial_in_handshape12470`
    `static org.antlr.runtime.BitSet` | `FOLLOW_wristmovement_in_fullwristmovement15972`
    `static org.antlr.runtime.BitSet` | `FOLLOW_zigzag_in_fullstraightmovement14828`
    `static int` | `FSHAPE`
    `static int` | `HamAltbegin`
    `static int` | `HamAltend`
    `static int` | `HamAlternatingmotion`
    `static int` | `HamArcd`
    `static int` | `HamArcl`
    `static int` | `HamArcr`
    `static int` | `HamArcu`
    `static int` | `HamArmextended`
    `static int` | `HamBehind`
    `static int` | `HamBelowstomach`
    `static int` | `HamBetween`
    `static int` | `HamBrushing`
    `static int` | `HamCee12`
    `static int` | `HamCee12open`
    `static int` | `HamCeeall`
    `static int` | `HamCheek`
    `static int` | `HamChest`
    `static int` | `HamChin`
    `static int` | `HamCircled`
    `static int` | `HamCircledi`
    `static int` | `HamCircledl`
    `static int` | `HamCircledo`
    `static int` | `HamCircledr`
    `static int` | `HamCirclei`
    `static int` | `HamCircleil`
    `static int` | `HamCircleir`
    `static int` | `HamCirclel`
    `static int` | `HamCircleo`
    `static int` | `HamCircleol`
    `static int` | `HamCircleor`
    `static int` | `HamCircler`
    `static int` | `HamCircleu`
    `static int` | `HamCircleui`
    `static int` | `HamCircleul`
    `static int` | `HamCircleuo`
    `static int` | `HamCircleur`
    `static int` | `HamClockd`
    `static int` | `HamClockdl`
    `static int` | `HamClockdr`
    `static int` | `HamClockfull`
    `static int` | `HamClockl`
    `static int` | `HamClockr`
    `static int` | `HamClocku`
    `static int` | `HamClockul`
    `static int` | `HamClockur`
    `static int` | `HamClose`
    `static int` | `HamComma`
    `static int` | `HamCorefref`
    `static int` | `HamCoreftag`
    `static int` | `HamCross`
    `static int` | `HamDecreasing`
    `static int` | `HamDoublebent`
    `static int` | `HamDoublehooked`
    `static int` | `HamEar`
    `static int` | `HamEarlobe`
    `static int` | `HamElbow`
    `static int` | `HamElbowinside`
    `static int` | `HamEllipseh`
    `static int` | `HamEllipseul`
    `static int` | `HamEllipseur`
    `static int` | `HamEllipsev`
    `static int` | `HamEtc`
    `static int` | `HamExclaim`
    `static int` | `HamExtfingerd`
    `static int` | `HamExtfingerdi`
    `static int` | `HamExtfingerdl`
    `static int` | `HamExtfingerdo`
    `static int` | `HamExtfingerdr`
    `static int` | `HamExtfingeri`
    `static int` | `HamExtfingeril`
    `static int` | `HamExtfingerir`
    `static int` | `HamExtfingerl`
    `static int` | `HamExtfingero`
    `static int` | `HamExtfingerol`
    `static int` | `HamExtfingeror`
    `static int` | `HamExtfingerr`
    `static int` | `HamExtfingeru`
    `static int` | `HamExtfingerui`
    `static int` | `HamExtfingerul`
    `static int` | `HamExtfingeruo`
    `static int` | `HamExtfingerur`
    `static int` | `HamEyebrows`
    `static int` | `HamEyes`
    `static int` | `HamFast`
    `static int` | `HamFinger2`
    `static int` | `HamFinger23`
    `static int` | `HamFinger2345`
    `static int` | `HamFinger23spread`
    `static int` | `HamFingerbase`
    `static int` | `HamFingerbendmod`
    `static int` | `HamFingerhookedmod`
    `static int` | `HamFingermidjoint`
    `static int` | `HamFingernail`
    `static int` | `HamFingerpad`
    `static int` | `HamFingerplay`
    `static int` | `HamFingerside`
    `static int` | `HamFingerstraightmod`
    `static int` | `HamFingertip`
    `static int` | `HamFist`
    `static int` | `HamFlathand`
    `static int` | `HamForehead`
    `static int` | `HamFullstop`
    `static int` | `HamFusionbegin`
    `static int` | `HamFusionend`
    `static int` | `HamHalt`
    `static int` | `HamHandback`
    `static int` | `HamHead`
    `static int` | `HamHeadtop`
    `static int` | `HamIncreasing`
    `static int` | `HamIndexfinger`
    `static int` | `HamInterlock`
    `static int` | `HamLargemod`
    `static int` | `HamLinefeed`
    `static int` | `HamLips`
    `static int` | `HamLowerarm`
    `static int` | `HamLrat`
    `static int` | `HamLrbeside`
    `static int` | `HamMetaalt`
    `static int` | `HamMiddlefinger`
    `static int` | `HamMime`
    `static int` | `HamMovecross`
    `static int` | `HamMoved`
    `static int` | `HamMovedi`
    `static int` | `HamMovedl`
    `static int` | `HamMovedo`
    `static int` | `HamMovedr`
    `static int` | `HamMovei`
    `static int` | `HamMoveil`
    `static int` | `HamMoveir`
    `static int` | `HamMovel`
    `static int` | `HamMoveo`
    `static int` | `HamMoveol`
    `static int` | `HamMoveor`
    `static int` | `HamMover`
    `static int` | `HamMoveu`
    `static int` | `HamMoveui`
    `static int` | `HamMoveul`
    `static int` | `HamMoveuo`
    `static int` | `HamMoveur`
    `static int` | `HamMovex`
    `static int` | `HamNbs`
    `static int` | `HamNeck`
    `static int` | `HamNeutralspace`
    `static int` | `HamNodding`
    `static int` | `HamNomotion`
    `static int` | `HamNondominant`
    `static int` | `HamNonipsi`
    `static int` | `HamNose`
    `static int` | `HamNostrils`
    `static int` | `HamOrirelative`
    `static int` | `HamPagebreak`
    `static int` | `HamPalm`
    `static int` | `HamPalmd`
    `static int` | `HamPalmdl`
    `static int` | `HamPalmdr`
    `static int` | `HamPalml`
    `static int` | `HamPalmr`
    `static int` | `HamPalmu`
    `static int` | `HamPalmul`
    `static int` | `HamPalmur`
    `static int` | `HamParbegin`
    `static int` | `HamParend`
    `static int` | `HamPinch12`
    `static int` | `HamPinch12open`
    `static int` | `HamPinchall`
    `static int` | `HamPinky`
    `static int` | `HamPinkyside`
    `static int` | `HamPlus`
    `static int` | `HamQuery`
    `static int` | `HamRepeatcontinue`
    `static int` | `HamRepeatcontinueseveral`
    `static int` | `HamRepeatfromstart`
    `static int` | `HamRepeatfromstartseveral`
    `static int` | `HamRepeatreverse`
    `static int` | `HamReplace`
    `static int` | `HamRest`
    `static int` | `HamReturn`
    `static int` | `HamRingfinger`
    `static int` | `HamSeqbegin`
    `static int` | `HamSeqend`
    `static int` | `HamShoulders`
    `static int` | `HamShouldertop`
    `static int` | `HAMSIGNS`
    `static int` | `HamSlow`
    `static int` | `HamSmallmod`
    `static int` | `HamSpace`
    `static int` | `HamStirccw`
    `static int` | `HamStircw`
    `static int` | `HamStomach`
    `static int` | `HamSwinging`
    `static int` | `HamSymmlr`
    `static int` | `HamSymmpar`
    `static int` | `HamTab`
    `static int` | `HamTeeth`
    `static int` | `HamTense`
    `static int` | `HamThumb`
    `static int` | `HamThumbacrossmod`
    `static int` | `HamThumbball`
    `static int` | `HamThumbopenmod`
    `static int` | `HamThumboutmod`
    `static int` | `HamThumbside`
    `static int` | `HamTongue`
    `static int` | `HamTouch`
    `static int` | `HamTwisting`
    `static int` | `HamUnderchin`
    `static int` | `HamUpperarm`
    `static int` | `HamVersion40`
    `static int` | `HamWavy`
    `static int` | `HamWristback`
    `static int` | `HamWristpulse`
    `static int` | `HamWristtoback`
    `static int` | `HamWristtopinky`
    `static int` | `HamWristtopulse`
    `static int` | `HamWristtothumb`
    `static int` | `HamZigzag`
    `static int` | `HCONSTLLN`
    `static int` | `HDCFGTAIL2`
    `static int` | `HDCONFIG1`
    `static int` | `HDCONFIG2`
    `static int` | `HSCLASS`
    `static int` | `HSFINGERITEM`
    `static int` | `HSHAPE1`
    `static int` | `HSHAPE2`
    `static int` | `ICFG1`
    `static int` | `ICFG2`
    `static int` | `LEVARM`
    `static int` | `LEVBODY`
    `static int` | `LEVHAND`
    `static int` | `LOC1`
    `static int` | `LOC2`
    `static int` | `LOCBODY`
    `static int` | `LOCTNARM`
    `static int` | `LOCTNBODY`
    `static int` | `LOCTNBODYARM`
    `static int` | `LOCTNHAND`
    `static int` | `MICFG1`
    `static int` | `MICFG2`
    `static int` | `MOVINGREPETITION`
    `static int` | `NMACT1T`
    `static int` | `NMICLIST`
    `static int` | `NMICUNIT`
    `static int` | `PALMOR1`
    `static int` | `PALMOR2`
    `static int` | `PARACT1`
    `static int` | `PARACT1T`
    `static int` | `PARACT2T`
    `static int` | `REPETITIONS`
    `static int` | `REPLACE`
    `static int` | `REPLACETAIL1`
    `static int` | `SEQACT1`
    `static int` | `SEQACT1T`
    `static int` | `SEQACT2T`
    `static int` | `SEQFUSEDACT1`
    `static int` | `SEQFUSEDACT1T`
    `static int` | `SEQFUSEDACT2T`
    `static int` | `SIGN1`
    `static int` | `SIGN2`
    `static int` | `SIMPLEMVMT`
    `static int` | `SPLITACT2LOC2`
    `static int` | `SPLITACT2T`
    `static int` | `SPLITHDCFG2`
    `static int` | `SPLITREPLACETL`
    `static int` | `STRGHTMVMT`
    `static int` | `THSPECIAL`
    `static int` | `THUMBPOS`
    `static java.lang.String[]` | `tokenNames`
    `static int` | `WS`

    - ### Fields inherited from class org.antlr.runtime.tree.TreeParser

      `DOWN, UP`

    - ### Fields inherited from class org.antlr.runtime.BaseRecognizer

      `DEFAULT_TOKEN_CHANNEL, HIDDEN, INITIAL_FOLLOW_STACK_SIZE, MEMO_RULE_FAILED, MEMO_RULE_UNKNOWN, NEXT_TOKEN_RULE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Ham4HMLGen(org.antlr.runtime.tree.TreeNodeStream input)`
    `Ham4HMLGen(org.antlr.runtime.tree.TreeNodeStream input, org.antlr.runtime.RecognizerSharedState state)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.w3c.dom.Element[]` | `a1tstar()`
    `org.w3c.dom.Element[]` | `a2tstar()`
    `org.w3c.dom.Element` | `action1()`
    `org.w3c.dom.Element` | `action1t()`
    `org.w3c.dom.Element` | `action2t()`
    `java.lang.String` | `arc()`
    `void` | `arckind(org.w3c.dom.Element ake)`
    `java.lang.String[]` | `basichandshape()`
    `java.lang.String[][]` | `basichandshape1()`
    `org.w3c.dom.Element` | `ccontact()`
    `org.w3c.dom.Element` | `circularmovement()`
    `java.lang.String` | `clock()`
    `org.w3c.dom.Element` | `contactbody()`
    `org.w3c.dom.Element` | `contacthand()`
    `org.w3c.dom.Element` | `contactofhand()`
    `org.w3c.dom.Element` | `contactoharm()`
    `org.w3c.dom.Element` | `contactohhand()`
    `org.w3c.dom.Element` | `digit()`
    `java.lang.String` | `dorsalorpalmar()`
    `org.w3c.dom.Element` | `ellipse()`
    `java.lang.String` | `ellipsedirection()`
    `java.lang.String` | `extfidir()`
    `org.w3c.dom.Element` | `extfidir1()`
    `org.w3c.dom.Element` | `extfidir2()`
    `org.w3c.dom.Element` | `finger()`
    `java.lang.String` | `fingerbending()`
    `org.w3c.dom.Element` | `fingercrossing()`
    `org.w3c.dom.Element[]` | `fingercrossinglist()`
    `org.w3c.dom.Element[]` | `fingerlist()`
    `org.w3c.dom.Element` | `fingerpart()`
    `org.w3c.dom.Element` | `fingershape()`
    `org.w3c.dom.Element[]` | `fingershapelist()`
    `org.w3c.dom.Element` | `fullcircularmovement()`
    `org.w3c.dom.Element` | `fullmovementcross()`
    `org.w3c.dom.Element` | `fullstraightmovement()`
    `org.w3c.dom.Element` | `fullwristmovement()`
    `org.antlr.runtime.tree.TreeParser[]` | `getDelegates()`
    `java.lang.String` | `getGrammarFileName()`
    `java.lang.String[]` | `getTokenNames()`
    `org.w3c.dom.Element` | `hamsignseq(HMLBuilder sb)`
    `org.w3c.dom.Element` | `handconfig1()`
    `org.w3c.dom.Element` | `handconfig2()`
    `org.w3c.dom.Element[]` | `handconfigtail2()`
    `org.w3c.dom.Element` | `handconstellation()`
    `org.w3c.dom.Element` | `handpart()`
    `org.w3c.dom.Element` | `handshape1()`
    `org.w3c.dom.Element` | `handshape2()`
    `java.lang.String` | `handshapeclass()`
    `org.w3c.dom.Element` | `hsfingeritem()`
    `org.w3c.dom.Element[]` | `initialconfig1()`
    `org.w3c.dom.Element[]` | `initialconfig2()`
    `org.w3c.dom.Element` | `levelarm()`
    `org.w3c.dom.Element` | `levelbody()`
    `org.w3c.dom.Element` | `levelcomplexarm()`
    `org.w3c.dom.Element` | `levelcomplexbody()`
    `org.w3c.dom.Element` | `levelcomplexhand()`
    `org.w3c.dom.Element` | `levelhand()`
    `java.lang.String` | `locarm()`
    `org.w3c.dom.Element` | `location1()`
    `org.w3c.dom.Element` | `location2()`
    `org.w3c.dom.Element` | `locationarm()`
    `org.w3c.dom.Element` | `locationbody()`
    `org.w3c.dom.Element` | `locationbodyarm()`
    `org.w3c.dom.Element` | `locationhand()`
    `java.lang.String` | `locbody()`
    `java.lang.String` | `locsided()`
    `org.w3c.dom.Element` | `minitialconfig1()`
    `org.w3c.dom.Element` | `minitialconfig2()`
    `java.lang.String` | `modifier()`
    `java.lang.String` | `movementarrow()`
    `java.lang.String` | `movementcircle()`
    `java.lang.String` | `movementcross()`
    `void` | `movingrepetition(org.w3c.dom.Element action)`
    `org.w3c.dom.Element` | `nmaction1t()`
    `org.w3c.dom.Element[]` | `nmicunit()`
    `org.w3c.dom.Element` | `nminitialconfig()`
    `org.w3c.dom.Element` | `nondomsign1()`
    `java.lang.String` | `palmor()`
    `org.w3c.dom.Element` | `palmor1()`
    `org.w3c.dom.Element` | `palmor2()`
    `org.w3c.dom.Element` | `paraction1()`
    `org.w3c.dom.Element` | `paraction1t()`
    `org.w3c.dom.Element` | `paraction2t()`
    `org.w3c.dom.Element` | `pcontact()`
    `java.lang.String` | `repetition()`
    `void` | `repetitions(org.w3c.dom.Element action)`
    `org.w3c.dom.Element` | `replacement()`
    `org.w3c.dom.Element` | `replacetail1()`
    `void` | `revolutions(org.w3c.dom.Element reve)`
    `org.w3c.dom.Element` | `seqaction1()`
    `org.w3c.dom.Element` | `seqaction1t()`
    `org.w3c.dom.Element` | `seqaction2t()`
    `org.w3c.dom.Element` | `seqfusedaction1()`
    `org.w3c.dom.Element` | `seqfusedaction1t()`
    `org.w3c.dom.Element` | `seqfusedaction2t()`
    `java.lang.String` | `side(java.lang.String lh_or_rh)`
    `org.w3c.dom.Element` | `sign2()`
    `org.w3c.dom.Element` | `sign2or1()`
    `org.w3c.dom.Element` | `simplemovement()`
    `java.lang.String` | `size()`
    `java.lang.String` | `sizechange()`
    `void` | `sizechangenonlinear(org.w3c.dom.Element sce)`
    `org.w3c.dom.Element` | `splitaction2loc2()`
    `org.w3c.dom.Element` | `splitaction2t()`
    `org.w3c.dom.Element` | `splithandconfig2()`
    `org.w3c.dom.Element` | `splitreplacetail()`
    `org.w3c.dom.Element` | `straightmovement()`
    `org.w3c.dom.Element` | `symmoperator()`
    `org.w3c.dom.Element` | `thumb()`
    `java.lang.String` | `thumbpos()`
    `org.w3c.dom.Element` | `thumbspecial()`
    `java.lang.String` | `wristmovement()`
    `void` | `zigzag(org.w3c.dom.Element zze)`

    - ### Methods inherited from class org.antlr.runtime.tree.TreeParser

      `getErrorHeader, getErrorMessage, getSourceName, getTreeNodeStream, matchAny, reset, setTreeNodeStream, traceIn, traceOut`

    - ### Methods inherited from class org.antlr.runtime.BaseRecognizer

      `alreadyParsedRule, beginResync, consumeUntil, consumeUntil, displayRecognitionError, emitErrorMessage, endResync, failed, getBacktrackingLevel, getNumberOfSyntaxErrors, getRuleInvocationStack, getRuleInvocationStack, getRuleMemoization, getRuleMemoizationCacheSize, getTokenErrorDisplay, match, memoize, mismatchIsMissingToken, mismatchIsUnwantedToken, recover, recoverFromMismatchedSet, reportError, setBacktrackingLevel, toStrings, traceIn, traceOut`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tokenNames

          public static final java.lang.String[] tokenNames

    - #### EOF

          public static final int EOF

      See Also:
        Constant Field Values

    - #### WS

          public static final int WS

      See Also:
        Constant Field Values

    - #### HamTab

          public static final int HamTab

      See Also:
        Constant Field Values

    - #### HamLinefeed

          public static final int HamLinefeed

      See Also:
        Constant Field Values

    - #### HamPagebreak

          public static final int HamPagebreak

      See Also:
        Constant Field Values

    - #### HamReturn

          public static final int HamReturn

      See Also:
        Constant Field Values

    - #### HamVersion40

          public static final int HamVersion40

      See Also:
        Constant Field Values

    - #### HamSpace

          public static final int HamSpace

      See Also:
        Constant Field Values

    - #### HamExclaim

          public static final int HamExclaim

      See Also:
        Constant Field Values

    - #### HamQuery

          public static final int HamQuery

      See Also:
        Constant Field Values

    - #### HamFullstop

          public static final int HamFullstop

      See Also:
        Constant Field Values

    - #### HamComma

          public static final int HamComma

      See Also:
        Constant Field Values

    - #### HamPlus

          public static final int HamPlus

      See Also:
        Constant Field Values

    - #### HamMetaalt

          public static final int HamMetaalt

      See Also:
        Constant Field Values

    - #### HamClocku

          public static final int HamClocku

      See Also:
        Constant Field Values

    - #### HamClockul

          public static final int HamClockul

      See Also:
        Constant Field Values

    - #### HamClockl

          public static final int HamClockl

      See Also:
        Constant Field Values

    - #### HamClockdl

          public static final int HamClockdl

      See Also:
        Constant Field Values

    - #### HamClockd

          public static final int HamClockd

      See Also:
        Constant Field Values

    - #### HamClockdr

          public static final int HamClockdr

      See Also:
        Constant Field Values

    - #### HamClockr

          public static final int HamClockr

      See Also:
        Constant Field Values

    - #### HamClockur

          public static final int HamClockur

      See Also:
        Constant Field Values

    - #### HamClockfull

          public static final int HamClockfull

      See Also:
        Constant Field Values

    - #### HamSymmpar

          public static final int HamSymmpar

      See Also:
        Constant Field Values

    - #### HamSymmlr

          public static final int HamSymmlr

      See Also:
        Constant Field Values

    - #### HamFist

          public static final int HamFist

      See Also:
        Constant Field Values

    - #### HamFlathand

          public static final int HamFlathand

      See Also:
        Constant Field Values

    - #### HamFinger2

          public static final int HamFinger2

      See Also:
        Constant Field Values

    - #### HamFinger23

          public static final int HamFinger23

      See Also:
        Constant Field Values

    - #### HamFinger23spread

          public static final int HamFinger23spread

      See Also:
        Constant Field Values

    - #### HamFinger2345

          public static final int HamFinger2345

      See Also:
        Constant Field Values

    - #### HamThumboutmod

          public static final int HamThumboutmod

      See Also:
        Constant Field Values

    - #### HamThumbacrossmod

          public static final int HamThumbacrossmod

      See Also:
        Constant Field Values

    - #### HamPinch12

          public static final int HamPinch12

      See Also:
        Constant Field Values

    - #### HamPinchall

          public static final int HamPinchall

      See Also:
        Constant Field Values

    - #### HamPinch12open

          public static final int HamPinch12open

      See Also:
        Constant Field Values

    - #### HamCee12

          public static final int HamCee12

      See Also:
        Constant Field Values

    - #### HamCeeall

          public static final int HamCeeall

      See Also:
        Constant Field Values

    - #### HamCee12open

          public static final int HamCee12open

      See Also:
        Constant Field Values

    - #### HamThumbopenmod

          public static final int HamThumbopenmod

      See Also:
        Constant Field Values

    - #### HamFingerstraightmod

          public static final int HamFingerstraightmod

      See Also:
        Constant Field Values

    - #### HamFingerbendmod

          public static final int HamFingerbendmod

      See Also:
        Constant Field Values

    - #### HamFingerhookedmod

          public static final int HamFingerhookedmod

      See Also:
        Constant Field Values

    - #### HamNondominant

          public static final int HamNondominant

      See Also:
        Constant Field Values

    - #### HamDoublebent

          public static final int HamDoublebent

      See Also:
        Constant Field Values

    - #### HamDoublehooked

          public static final int HamDoublehooked

      See Also:
        Constant Field Values

    - #### HamExtfingeru

          public static final int HamExtfingeru

      See Also:
        Constant Field Values

    - #### HamExtfingerur

          public static final int HamExtfingerur

      See Also:
        Constant Field Values

    - #### HamExtfingerr

          public static final int HamExtfingerr

      See Also:
        Constant Field Values

    - #### HamExtfingerdr

          public static final int HamExtfingerdr

      See Also:
        Constant Field Values

    - #### HamExtfingerd

          public static final int HamExtfingerd

      See Also:
        Constant Field Values

    - #### HamExtfingerdl

          public static final int HamExtfingerdl

      See Also:
        Constant Field Values

    - #### HamExtfingerl

          public static final int HamExtfingerl

      See Also:
        Constant Field Values

    - #### HamExtfingerul

          public static final int HamExtfingerul

      See Also:
        Constant Field Values

    - #### HamExtfingerol

          public static final int HamExtfingerol

      See Also:
        Constant Field Values

    - #### HamExtfingero

          public static final int HamExtfingero

      See Also:
        Constant Field Values

    - #### HamExtfingeror

          public static final int HamExtfingeror

      See Also:
        Constant Field Values

    - #### HamExtfingeril

          public static final int HamExtfingeril

      See Also:
        Constant Field Values

    - #### HamExtfingeri

          public static final int HamExtfingeri

      See Also:
        Constant Field Values

    - #### HamExtfingerir

          public static final int HamExtfingerir

      See Also:
        Constant Field Values

    - #### HamExtfingerui

          public static final int HamExtfingerui

      See Also:
        Constant Field Values

    - #### HamExtfingerdi

          public static final int HamExtfingerdi

      See Also:
        Constant Field Values

    - #### HamExtfingerdo

          public static final int HamExtfingerdo

      See Also:
        Constant Field Values

    - #### HamExtfingeruo

          public static final int HamExtfingeruo

      See Also:
        Constant Field Values

    - #### HamEarlobe

          public static final int HamEarlobe

      See Also:
        Constant Field Values

    - #### HamNostrils

          public static final int HamNostrils

      See Also:
        Constant Field Values

    - #### HamShouldertop

          public static final int HamShouldertop

      See Also:
        Constant Field Values

    - #### HamPalmu

          public static final int HamPalmu

      See Also:
        Constant Field Values

    - #### HamPalmur

          public static final int HamPalmur

      See Also:
        Constant Field Values

    - #### HamPalmr

          public static final int HamPalmr

      See Also:
        Constant Field Values

    - #### HamPalmdr

          public static final int HamPalmdr

      See Also:
        Constant Field Values

    - #### HamPalmd

          public static final int HamPalmd

      See Also:
        Constant Field Values

    - #### HamPalmdl

          public static final int HamPalmdl

      See Also:
        Constant Field Values

    - #### HamPalml

          public static final int HamPalml

      See Also:
        Constant Field Values

    - #### HamPalmul

          public static final int HamPalmul

      See Also:
        Constant Field Values

    - #### HamReplace

          public static final int HamReplace

      See Also:
        Constant Field Values

    - #### HamArmextended

          public static final int HamArmextended

      See Also:
        Constant Field Values

    - #### HamBehind

          public static final int HamBehind

      See Also:
        Constant Field Values

    - #### HamEtc

          public static final int HamEtc

      See Also:
        Constant Field Values

    - #### HamOrirelative

          public static final int HamOrirelative

      See Also:
        Constant Field Values

    - #### HamTongue

          public static final int HamTongue

      See Also:
        Constant Field Values

    - #### HamTeeth

          public static final int HamTeeth

      See Also:
        Constant Field Values

    - #### HamStomach

          public static final int HamStomach

      See Also:
        Constant Field Values

    - #### HamNeutralspace

          public static final int HamNeutralspace

      See Also:
        Constant Field Values

    - #### HamHead

          public static final int HamHead

      See Also:
        Constant Field Values

    - #### HamHeadtop

          public static final int HamHeadtop

      See Also:
        Constant Field Values

    - #### HamForehead

          public static final int HamForehead

      See Also:
        Constant Field Values

    - #### HamEyebrows

          public static final int HamEyebrows

      See Also:
        Constant Field Values

    - #### HamEyes

          public static final int HamEyes

      See Also:
        Constant Field Values

    - #### HamNose

          public static final int HamNose

      See Also:
        Constant Field Values

    - #### HamEar

          public static final int HamEar

      See Also:
        Constant Field Values

    - #### HamCheek

          public static final int HamCheek

      See Also:
        Constant Field Values

    - #### HamLips

          public static final int HamLips

      See Also:
        Constant Field Values

    - #### HamChin

          public static final int HamChin

      See Also:
        Constant Field Values

    - #### HamUnderchin

          public static final int HamUnderchin

      See Also:
        Constant Field Values

    - #### HamNeck

          public static final int HamNeck

      See Also:
        Constant Field Values

    - #### HamShoulders

          public static final int HamShoulders

      See Also:
        Constant Field Values

    - #### HamChest

          public static final int HamChest

      See Also:
        Constant Field Values

    - #### HamBelowstomach

          public static final int HamBelowstomach

      See Also:
        Constant Field Values

    - #### HamLrbeside

          public static final int HamLrbeside

      See Also:
        Constant Field Values

    - #### HamLrat

          public static final int HamLrat

      See Also:
        Constant Field Values

    - #### HamUpperarm

          public static final int HamUpperarm

      See Also:
        Constant Field Values

    - #### HamElbow

          public static final int HamElbow

      See Also:
        Constant Field Values

    - #### HamElbowinside

          public static final int HamElbowinside

      See Also:
        Constant Field Values

    - #### HamLowerarm

          public static final int HamLowerarm

      See Also:
        Constant Field Values

    - #### HamWristback

          public static final int HamWristback

      See Also:
        Constant Field Values

    - #### HamWristpulse

          public static final int HamWristpulse

      See Also:
        Constant Field Values

    - #### HamThumbball

          public static final int HamThumbball

      See Also:
        Constant Field Values

    - #### HamPalm

          public static final int HamPalm

      See Also:
        Constant Field Values

    - #### HamHandback

          public static final int HamHandback

      See Also:
        Constant Field Values

    - #### HamThumb

          public static final int HamThumb

      See Also:
        Constant Field Values

    - #### HamIndexfinger

          public static final int HamIndexfinger

      See Also:
        Constant Field Values

    - #### HamMiddlefinger

          public static final int HamMiddlefinger

      See Also:
        Constant Field Values

    - #### HamRingfinger

          public static final int HamRingfinger

      See Also:
        Constant Field Values

    - #### HamPinky

          public static final int HamPinky

      See Also:
        Constant Field Values

    - #### HamThumbside

          public static final int HamThumbside

      See Also:
        Constant Field Values

    - #### HamPinkyside

          public static final int HamPinkyside

      See Also:
        Constant Field Values

    - #### HamBetween

          public static final int HamBetween

      See Also:
        Constant Field Values

    - #### HamFingertip

          public static final int HamFingertip

      See Also:
        Constant Field Values

    - #### HamFingernail

          public static final int HamFingernail

      See Also:
        Constant Field Values

    - #### HamFingerpad

          public static final int HamFingerpad

      See Also:
        Constant Field Values

    - #### HamFingermidjoint

          public static final int HamFingermidjoint

      See Also:
        Constant Field Values

    - #### HamFingerbase

          public static final int HamFingerbase

      See Also:
        Constant Field Values

    - #### HamFingerside

          public static final int HamFingerside

      See Also:
        Constant Field Values

    - #### HamWristtopulse

          public static final int HamWristtopulse

      See Also:
        Constant Field Values

    - #### HamWristtoback

          public static final int HamWristtoback

      See Also:
        Constant Field Values

    - #### HamWristtothumb

          public static final int HamWristtothumb

      See Also:
        Constant Field Values

    - #### HamWristtopinky

          public static final int HamWristtopinky

      See Also:
        Constant Field Values

    - #### HamCoreftag

          public static final int HamCoreftag

      See Also:
        Constant Field Values

    - #### HamCorefref

          public static final int HamCorefref

      See Also:
        Constant Field Values

    - #### HamNomotion

          public static final int HamNomotion

      See Also:
        Constant Field Values

    - #### HamMoveu

          public static final int HamMoveu

      See Also:
        Constant Field Values

    - #### HamMoveur

          public static final int HamMoveur

      See Also:
        Constant Field Values

    - #### HamMover

          public static final int HamMover

      See Also:
        Constant Field Values

    - #### HamMovedr

          public static final int HamMovedr

      See Also:
        Constant Field Values

    - #### HamMoved

          public static final int HamMoved

      See Also:
        Constant Field Values

    - #### HamMovedl

          public static final int HamMovedl

      See Also:
        Constant Field Values

    - #### HamMovel

          public static final int HamMovel

      See Also:
        Constant Field Values

    - #### HamMoveul

          public static final int HamMoveul

      See Also:
        Constant Field Values

    - #### HamMoveol

          public static final int HamMoveol

      See Also:
        Constant Field Values

    - #### HamMoveo

          public static final int HamMoveo

      See Also:
        Constant Field Values

    - #### HamMoveor

          public static final int HamMoveor

      See Also:
        Constant Field Values

    - #### HamMoveil

          public static final int HamMoveil

      See Also:
        Constant Field Values

    - #### HamMovei

          public static final int HamMovei

      See Also:
        Constant Field Values

    - #### HamMoveir

          public static final int HamMoveir

      See Also:
        Constant Field Values

    - #### HamMoveui

          public static final int HamMoveui

      See Also:
        Constant Field Values

    - #### HamMovedi

          public static final int HamMovedi

      See Also:
        Constant Field Values

    - #### HamMovedo

          public static final int HamMovedo

      See Also:
        Constant Field Values

    - #### HamMoveuo

          public static final int HamMoveuo

      See Also:
        Constant Field Values

    - #### HamMovecross

          public static final int HamMovecross

      See Also:
        Constant Field Values

    - #### HamMovex

          public static final int HamMovex

      See Also:
        Constant Field Values

    - #### HamSmallmod

          public static final int HamSmallmod

      See Also:
        Constant Field Values

    - #### HamLargemod

          public static final int HamLargemod

      See Also:
        Constant Field Values

    - #### HamArcl

          public static final int HamArcl

      See Also:
        Constant Field Values

    - #### HamArcu

          public static final int HamArcu

      See Also:
        Constant Field Values

    - #### HamArcr

          public static final int HamArcr

      See Also:
        Constant Field Values

    - #### HamArcd

          public static final int HamArcd

      See Also:
        Constant Field Values

    - #### HamWavy

          public static final int HamWavy

      See Also:
        Constant Field Values

    - #### HamZigzag

          public static final int HamZigzag

      See Also:
        Constant Field Values

    - #### HamFingerplay

          public static final int HamFingerplay

      See Also:
        Constant Field Values

    - #### HamParbegin

          public static final int HamParbegin

      See Also:
        Constant Field Values

    - #### HamParend

          public static final int HamParend

      See Also:
        Constant Field Values

    - #### HamCircleo

          public static final int HamCircleo

      See Also:
        Constant Field Values

    - #### HamCirclei

          public static final int HamCirclei

      See Also:
        Constant Field Values

    - #### HamCircled

          public static final int HamCircled

      See Also:
        Constant Field Values

    - #### HamCircleu

          public static final int HamCircleu

      See Also:
        Constant Field Values

    - #### HamCirclel

          public static final int HamCirclel

      See Also:
        Constant Field Values

    - #### HamCircler

          public static final int HamCircler

      See Also:
        Constant Field Values

    - #### HamIncreasing

          public static final int HamIncreasing

      See Also:
        Constant Field Values

    - #### HamDecreasing

          public static final int HamDecreasing

      See Also:
        Constant Field Values

    - #### HamClose

          public static final int HamClose

      See Also:
        Constant Field Values

    - #### HamTouch

          public static final int HamTouch

      See Also:
        Constant Field Values

    - #### HamInterlock

          public static final int HamInterlock

      See Also:
        Constant Field Values

    - #### HamCross

          public static final int HamCross

      See Also:
        Constant Field Values

    - #### HamFast

          public static final int HamFast

      See Also:
        Constant Field Values

    - #### HamSlow

          public static final int HamSlow

      See Also:
        Constant Field Values

    - #### HamTense

          public static final int HamTense

      See Also:
        Constant Field Values

    - #### HamRest

          public static final int HamRest

      See Also:
        Constant Field Values

    - #### HamHalt

          public static final int HamHalt

      See Also:
        Constant Field Values

    - #### HamRepeatfromstart

          public static final int HamRepeatfromstart

      See Also:
        Constant Field Values

    - #### HamRepeatfromstartseveral

          public static final int HamRepeatfromstartseveral

      See Also:
        Constant Field Values

    - #### HamRepeatcontinue

          public static final int HamRepeatcontinue

      See Also:
        Constant Field Values

    - #### HamRepeatcontinueseveral

          public static final int HamRepeatcontinueseveral

      See Also:
        Constant Field Values

    - #### HamSeqbegin

          public static final int HamSeqbegin

      See Also:
        Constant Field Values

    - #### HamSeqend

          public static final int HamSeqend

      See Also:
        Constant Field Values

    - #### HamAlternatingmotion

          public static final int HamAlternatingmotion

      See Also:
        Constant Field Values

    - #### HamRepeatreverse

          public static final int HamRepeatreverse

      See Also:
        Constant Field Values

    - #### HamBrushing

          public static final int HamBrushing

      See Also:
        Constant Field Values

    - #### HamNonipsi

          public static final int HamNonipsi

      See Also:
        Constant Field Values

    - #### HamEllipseh

          public static final int HamEllipseh

      See Also:
        Constant Field Values

    - #### HamEllipseur

          public static final int HamEllipseur

      See Also:
        Constant Field Values

    - #### HamEllipsev

          public static final int HamEllipsev

      See Also:
        Constant Field Values

    - #### HamEllipseul

          public static final int HamEllipseul

      See Also:
        Constant Field Values

    - #### HamMime

          public static final int HamMime

      See Also:
        Constant Field Values

    - #### HamAltbegin

          public static final int HamAltbegin

      See Also:
        Constant Field Values

    - #### HamAltend

          public static final int HamAltend

      See Also:
        Constant Field Values

    - #### HamNodding

          public static final int HamNodding

      See Also:
        Constant Field Values

    - #### HamSwinging

          public static final int HamSwinging

      See Also:
        Constant Field Values

    - #### HamTwisting

          public static final int HamTwisting

      See Also:
        Constant Field Values

    - #### HamStircw

          public static final int HamStircw

      See Also:
        Constant Field Values

    - #### HamStirccw

          public static final int HamStirccw

      See Also:
        Constant Field Values

    - #### HamFusionbegin

          public static final int HamFusionbegin

      See Also:
        Constant Field Values

    - #### HamFusionend

          public static final int HamFusionend

      See Also:
        Constant Field Values

    - #### HamCircleul

          public static final int HamCircleul

      See Also:
        Constant Field Values

    - #### HamCircledr

          public static final int HamCircledr

      See Also:
        Constant Field Values

    - #### HamCircleur

          public static final int HamCircleur

      See Also:
        Constant Field Values

    - #### HamCircledl

          public static final int HamCircledl

      See Also:
        Constant Field Values

    - #### HamCircleol

          public static final int HamCircleol

      See Also:
        Constant Field Values

    - #### HamCircleir

          public static final int HamCircleir

      See Also:
        Constant Field Values

    - #### HamCircleor

          public static final int HamCircleor

      See Also:
        Constant Field Values

    - #### HamCircleil

          public static final int HamCircleil

      See Also:
        Constant Field Values

    - #### HamCircledo

          public static final int HamCircledo

      See Also:
        Constant Field Values

    - #### HamCircleui

          public static final int HamCircleui

      See Also:
        Constant Field Values

    - #### HamCircledi

          public static final int HamCircledi

      See Also:
        Constant Field Values

    - #### HamCircleuo

          public static final int HamCircleuo

      See Also:
        Constant Field Values

    - #### HamNbs

          public static final int HamNbs

      See Also:
        Constant Field Values

    - #### HAMSIGNS

          public static final int HAMSIGNS

      See Also:
        Constant Field Values

    - #### SIGN2

          public static final int SIGN2

      See Also:
        Constant Field Values

    - #### SIGN1

          public static final int SIGN1

      See Also:
        Constant Field Values

    - #### ICFG2

          public static final int ICFG2

      See Also:
        Constant Field Values

    - #### ICFG1

          public static final int ICFG1

      See Also:
        Constant Field Values

    - #### NMICLIST

          public static final int NMICLIST

      See Also:
        Constant Field Values

    - #### NMICUNIT

          public static final int NMICUNIT

      See Also:
        Constant Field Values

    - #### MICFG2

          public static final int MICFG2

      See Also:
        Constant Field Values

    - #### MICFG1

          public static final int MICFG1

      See Also:
        Constant Field Values

    - #### HDCONFIG2

          public static final int HDCONFIG2

      See Also:
        Constant Field Values

    - #### HDCONFIG1

          public static final int HDCONFIG1

      See Also:
        Constant Field Values

    - #### SPLITHDCFG2

          public static final int SPLITHDCFG2

      See Also:
        Constant Field Values

    - #### HDCFGTAIL2

          public static final int HDCFGTAIL2

      See Also:
        Constant Field Values

    - #### HSHAPE2

          public static final int HSHAPE2

      See Also:
        Constant Field Values

    - #### HSHAPE1

          public static final int HSHAPE1

      See Also:
        Constant Field Values

    - #### BASICHDSHP1

          public static final int BASICHDSHP1

      See Also:
        Constant Field Values

    - #### BASICHDSHP

          public static final int BASICHDSHP

      See Also:
        Constant Field Values

    - #### HSCLASS

          public static final int HSCLASS

      See Also:
        Constant Field Values

    - #### FIBENDING

          public static final int FIBENDING

      See Also:
        Constant Field Values

    - #### THUMBPOS

          public static final int THUMBPOS

      See Also:
        Constant Field Values

    - #### FINGERLIST

          public static final int FINGERLIST

      See Also:
        Constant Field Values

    - #### FISHPLIST

          public static final int FISHPLIST

      See Also:
        Constant Field Values

    - #### FICRSSLIST

          public static final int FICRSSLIST

      See Also:
        Constant Field Values

    - #### FSHAPE

          public static final int FSHAPE

      See Also:
        Constant Field Values

    - #### FCROSSING

          public static final int FCROSSING

      See Also:
        Constant Field Values

    - #### THSPECIAL

          public static final int THSPECIAL

      See Also:
        Constant Field Values

    - #### EXTFIDIR2

          public static final int EXTFIDIR2

      See Also:
        Constant Field Values

    - #### EXTFIDIR1

          public static final int EXTFIDIR1

      See Also:
        Constant Field Values

    - #### EXTFIDIR

          public static final int EXTFIDIR

      See Also:
        Constant Field Values

    - #### PALMOR2

          public static final int PALMOR2

      See Also:
        Constant Field Values

    - #### PALMOR1

          public static final int PALMOR1

      See Also:
        Constant Field Values

    - #### LOC2

          public static final int LOC2

      See Also:
        Constant Field Values

    - #### LOC1

          public static final int LOC1

      See Also:
        Constant Field Values

    - #### LOCTNBODYARM

          public static final int LOCTNBODYARM

      See Also:
        Constant Field Values

    - #### LOCTNBODY

          public static final int LOCTNBODY

      See Also:
        Constant Field Values

    - #### LOCTNHAND

          public static final int LOCTNHAND

      See Also:
        Constant Field Values

    - #### LOCTNARM

          public static final int LOCTNARM

      See Also:
        Constant Field Values

    - #### LEVBODY

          public static final int LEVBODY

      See Also:
        Constant Field Values

    - #### LEVHAND

          public static final int LEVHAND

      See Also:
        Constant Field Values

    - #### LEVARM

          public static final int LEVARM

      See Also:
        Constant Field Values

    - #### HCONSTLLN

          public static final int HCONSTLLN

      See Also:
        Constant Field Values

    - #### CNTCTBODY

          public static final int CNTCTBODY

      See Also:
        Constant Field Values

    - #### CNTCTHAND

          public static final int CNTCTHAND

      See Also:
        Constant Field Values

    - #### CNTCTOFHAND

          public static final int CNTCTOFHAND

      See Also:
        Constant Field Values

    - #### A2TLIST

          public static final int A2TLIST

      See Also:
        Constant Field Values

    - #### A1TLIST

          public static final int A1TLIST

      See Also:
        Constant Field Values

    - #### A1LIST

          public static final int A1LIST

      See Also:
        Constant Field Values

    - #### ACTION2T

          public static final int ACTION2T

      See Also:
        Constant Field Values

    - #### ACTION1T

          public static final int ACTION1T

      See Also:
        Constant Field Values

    - #### ACTION2

          public static final int ACTION2

      See Also:
        Constant Field Values

    - #### ACTION1

          public static final int ACTION1

      See Also:
        Constant Field Values

    - #### PARACT2T

          public static final int PARACT2T

      See Also:
        Constant Field Values

    - #### SEQACT2T

          public static final int SEQACT2T

      See Also:
        Constant Field Values

    - #### SPLITACT2LOC2

          public static final int SPLITACT2LOC2

      See Also:
        Constant Field Values

    - #### SPLITACT2T

          public static final int SPLITACT2T

      See Also:
        Constant Field Values

    - #### PARACT1T

          public static final int PARACT1T

      See Also:
        Constant Field Values

    - #### SEQACT1T

          public static final int SEQACT1T

      See Also:
        Constant Field Values

    - #### NMACT1T

          public static final int NMACT1T

      See Also:
        Constant Field Values

    - #### PARACT1

          public static final int PARACT1

      See Also:
        Constant Field Values

    - #### REPETITIONS

          public static final int REPETITIONS

      See Also:
        Constant Field Values

    - #### SIMPLEMVMT

          public static final int SIMPLEMVMT

      See Also:
        Constant Field Values

    - #### STRGHTMVMT

          public static final int STRGHTMVMT

      See Also:
        Constant Field Values

    - #### CRCLRMVMT

          public static final int CRCLRMVMT

      See Also:
        Constant Field Values

    - #### REPLACE

          public static final int REPLACE

      See Also:
        Constant Field Values

    - #### SPLITREPLACETL

          public static final int SPLITREPLACETL

      See Also:
        Constant Field Values

    - #### REPLACETAIL1

          public static final int REPLACETAIL1

      See Also:
        Constant Field Values

    - #### HSFINGERITEM

          public static final int HSFINGERITEM

      See Also:
        Constant Field Values

    - #### LOCBODY

          public static final int LOCBODY

      See Also:
        Constant Field Values

    - #### MOVINGREPETITION

          public static final int MOVINGREPETITION

      See Also:
        Constant Field Values

    - #### SEQACT1

          public static final int SEQACT1

      See Also:
        Constant Field Values

    - #### SEQFUSEDACT2T

          public static final int SEQFUSEDACT2T

      See Also:
        Constant Field Values

    - #### SEQFUSEDACT1T

          public static final int SEQFUSEDACT1T

      See Also:
        Constant Field Values

    - #### SEQFUSEDACT1

          public static final int SEQFUSEDACT1

      See Also:
        Constant Field Values

    - #### CNTCTOHHAND

          public static final int CNTCTOHHAND

      See Also:
        Constant Field Values

    - #### CNTCTOHARM

          public static final int CNTCTOHARM

      See Also:
        Constant Field Values

    - #### FOLLOW_HAMSIGNS_in_hamsignseq134

          public static final org.antlr.runtime.BitSet FOLLOW_HAMSIGNS_in_hamsignseq134

    - #### FOLLOW_sign2or1_in_hamsignseq149

          public static final org.antlr.runtime.BitSet FOLLOW_sign2or1_in_hamsignseq149

    - #### FOLLOW_sign2_in_sign2or1231

          public static final org.antlr.runtime.BitSet FOLLOW_sign2_in_sign2or1231

    - #### FOLLOW_nondomsign1_in_sign2or1258

          public static final org.antlr.runtime.BitSet FOLLOW_nondomsign1_in_sign2or1258

    - #### FOLLOW_SIGN2_in_sign2309

          public static final org.antlr.runtime.BitSet FOLLOW_SIGN2_in_sign2309

    - #### FOLLOW_symmoperator_in_sign2341

          public static final org.antlr.runtime.BitSet FOLLOW_symmoperator_in_sign2341

    - #### FOLLOW_initialconfig2_in_sign2360

          public static final org.antlr.runtime.BitSet FOLLOW_initialconfig2_in_sign2360

    - #### FOLLOW_a2tstar_in_sign2380

          public static final org.antlr.runtime.BitSet FOLLOW_a2tstar_in_sign2380

    - #### FOLLOW_initialconfig2_in_sign2409

          public static final org.antlr.runtime.BitSet FOLLOW_initialconfig2_in_sign2409

    - #### FOLLOW_a1tstar_in_sign2429

          public static final org.antlr.runtime.BitSet FOLLOW_a1tstar_in_sign2429

    - #### FOLLOW_HamNomotion_in_sign2466

          public static final org.antlr.runtime.BitSet FOLLOW_HamNomotion_in_sign2466

    - #### FOLLOW_HamNondominant_in_sign2500

          public static final org.antlr.runtime.BitSet FOLLOW_HamNondominant_in_sign2500

    - #### FOLLOW_initialconfig1_in_sign2535

          public static final org.antlr.runtime.BitSet FOLLOW_initialconfig1_in_sign2535

    - #### FOLLOW_a1tstar_in_sign2555

          public static final org.antlr.runtime.BitSet FOLLOW_a1tstar_in_sign2555

    - #### FOLLOW_SIGN1_in_nondomsign1609

          public static final org.antlr.runtime.BitSet FOLLOW_SIGN1_in_nondomsign1609

    - #### FOLLOW_HamNondominant_in_nondomsign1629

          public static final org.antlr.runtime.BitSet FOLLOW_HamNondominant_in_nondomsign1629

    - #### FOLLOW_initialconfig1_in_nondomsign1644

          public static final org.antlr.runtime.BitSet FOLLOW_initialconfig1_in_nondomsign1644

    - #### FOLLOW_a1tstar_in_nondomsign1660

          public static final org.antlr.runtime.BitSet FOLLOW_a1tstar_in_nondomsign1660

    - #### FOLLOW_HamSymmpar_in_symmoperator730

          public static final org.antlr.runtime.BitSet FOLLOW_HamSymmpar_in_symmoperator730

    - #### FOLLOW_HamSymmlr_in_symmoperator765

          public static final org.antlr.runtime.BitSet FOLLOW_HamSymmlr_in_symmoperator765

    - #### FOLLOW_HamLargemod_in_symmoperator813

          public static final org.antlr.runtime.BitSet FOLLOW_HamLargemod_in_symmoperator813

    - #### FOLLOW_HamFingerstraightmod_in_symmoperator848

          public static final org.antlr.runtime.BitSet FOLLOW_HamFingerstraightmod_in_symmoperator848

    - #### FOLLOW_HamFingerstraightmod_in_symmoperator882

          public static final org.antlr.runtime.BitSet FOLLOW_HamFingerstraightmod_in_symmoperator882

    - #### FOLLOW_HamLargemod_in_symmoperator905

          public static final org.antlr.runtime.BitSet FOLLOW_HamLargemod_in_symmoperator905

    - #### FOLLOW_HamAlternatingmotion_in_symmoperator950

          public static final org.antlr.runtime.BitSet FOLLOW_HamAlternatingmotion_in_symmoperator950

    - #### FOLLOW_HamNonipsi_in_symmoperator972

          public static final org.antlr.runtime.BitSet FOLLOW_HamNonipsi_in_symmoperator972

    - #### FOLLOW_ICFG2_in_initialconfig21033

          public static final org.antlr.runtime.BitSet FOLLOW_ICFG2_in_initialconfig21033

    - #### FOLLOW_nminitialconfig_in_initialconfig21050

          public static final org.antlr.runtime.BitSet FOLLOW_nminitialconfig_in_initialconfig21050

    - #### FOLLOW_minitialconfig2_in_initialconfig21071

          public static final org.antlr.runtime.BitSet FOLLOW_minitialconfig2_in_initialconfig21071

    - #### FOLLOW_ICFG1_in_initialconfig11112

          public static final org.antlr.runtime.BitSet FOLLOW_ICFG1_in_initialconfig11112

    - #### FOLLOW_nminitialconfig_in_initialconfig11129

          public static final org.antlr.runtime.BitSet FOLLOW_nminitialconfig_in_initialconfig11129

    - #### FOLLOW_minitialconfig1_in_initialconfig11150

          public static final org.antlr.runtime.BitSet FOLLOW_minitialconfig1_in_initialconfig11150

    - #### FOLLOW_NMICLIST_in_nminitialconfig1198

          public static final org.antlr.runtime.BitSet FOLLOW_NMICLIST_in_nminitialconfig1198

    - #### FOLLOW_nmicunit_in_nminitialconfig1227

          public static final org.antlr.runtime.BitSet FOLLOW_nmicunit_in_nminitialconfig1227

    - #### FOLLOW_NMICUNIT_in_nmicunit1293

          public static final org.antlr.runtime.BitSet FOLLOW_NMICUNIT_in_nmicunit1293

    - #### FOLLOW_levelbody_in_nmicunit1321

          public static final org.antlr.runtime.BitSet FOLLOW_levelbody_in_nmicunit1321

    - #### FOLLOW_levelarm_in_nmicunit1350

          public static final org.antlr.runtime.BitSet FOLLOW_levelarm_in_nmicunit1350

    - #### FOLLOW_action1_in_nmicunit1374

          public static final org.antlr.runtime.BitSet FOLLOW_action1_in_nmicunit1374

    - #### FOLLOW_MICFG2_in_minitialconfig21414

          public static final org.antlr.runtime.BitSet FOLLOW_MICFG2_in_minitialconfig21414

    - #### FOLLOW_handconfig2_in_minitialconfig21446

          public static final org.antlr.runtime.BitSet FOLLOW_handconfig2_in_minitialconfig21446

    - #### FOLLOW_location2_in_minitialconfig21467

          public static final org.antlr.runtime.BitSet FOLLOW_location2_in_minitialconfig21467

    - #### FOLLOW_handconfig1_in_minitialconfig21502

          public static final org.antlr.runtime.BitSet FOLLOW_handconfig1_in_minitialconfig21502

    - #### FOLLOW_location1_in_minitialconfig21522

          public static final org.antlr.runtime.BitSet FOLLOW_location1_in_minitialconfig21522

    - #### FOLLOW_HamPlus_in_minitialconfig21549

          public static final org.antlr.runtime.BitSet FOLLOW_HamPlus_in_minitialconfig21549

    - #### FOLLOW_location1_in_minitialconfig21569

          public static final org.antlr.runtime.BitSet FOLLOW_location1_in_minitialconfig21569

    - #### FOLLOW_MICFG1_in_minitialconfig11622

          public static final org.antlr.runtime.BitSet FOLLOW_MICFG1_in_minitialconfig11622

    - #### FOLLOW_handconfig1_in_minitialconfig11640

          public static final org.antlr.runtime.BitSet FOLLOW_handconfig1_in_minitialconfig11640

    - #### FOLLOW_location1_in_minitialconfig11657

          public static final org.antlr.runtime.BitSet FOLLOW_location1_in_minitialconfig11657

    - #### FOLLOW_HDCONFIG2_in_handconfig21707

          public static final org.antlr.runtime.BitSet FOLLOW_HDCONFIG2_in_handconfig21707

    - #### FOLLOW_handshape2_in_handconfig21743

          public static final org.antlr.runtime.BitSet FOLLOW_handshape2_in_handconfig21743

    - #### FOLLOW_handconfigtail2_in_handconfig21764

          public static final org.antlr.runtime.BitSet FOLLOW_handconfigtail2_in_handconfig21764

    - #### FOLLOW_splithandconfig2_in_handconfig21803

          public static final org.antlr.runtime.BitSet FOLLOW_splithandconfig2_in_handconfig21803

    - #### FOLLOW_HDCONFIG1_in_handconfig11857

          public static final org.antlr.runtime.BitSet FOLLOW_HDCONFIG1_in_handconfig11857

    - #### FOLLOW_handshape1_in_handconfig11876

          public static final org.antlr.runtime.BitSet FOLLOW_handshape1_in_handconfig11876

    - #### FOLLOW_extfidir1_in_handconfig11894

          public static final org.antlr.runtime.BitSet FOLLOW_extfidir1_in_handconfig11894

    - #### FOLLOW_palmor1_in_handconfig11916

          public static final org.antlr.runtime.BitSet FOLLOW_palmor1_in_handconfig11916

    - #### FOLLOW_SPLITHDCFG2_in_splithandconfig21971

          public static final org.antlr.runtime.BitSet FOLLOW_SPLITHDCFG2_in_splithandconfig21971

    - #### FOLLOW_handconfig1_in_splithandconfig21987

          public static final org.antlr.runtime.BitSet FOLLOW_handconfig1_in_splithandconfig21987

    - #### FOLLOW_handconfig1_in_splithandconfig22003

          public static final org.antlr.runtime.BitSet FOLLOW_handconfig1_in_splithandconfig22003

    - #### FOLLOW_HDCFGTAIL2_in_handconfigtail22047

          public static final org.antlr.runtime.BitSet FOLLOW_HDCFGTAIL2_in_handconfigtail22047

    - #### FOLLOW_extfidir2_in_handconfigtail22081

          public static final org.antlr.runtime.BitSet FOLLOW_extfidir2_in_handconfigtail22081

    - #### FOLLOW_palmor2_in_handconfigtail22113

          public static final org.antlr.runtime.BitSet FOLLOW_palmor2_in_handconfigtail22113

    - #### FOLLOW_extfidir1_in_handconfigtail22155

          public static final org.antlr.runtime.BitSet FOLLOW_extfidir1_in_handconfigtail22155

    - #### FOLLOW_palmor1_in_handconfigtail22178

          public static final org.antlr.runtime.BitSet FOLLOW_palmor1_in_handconfigtail22178

    - #### FOLLOW_extfidir1_in_handconfigtail22200

          public static final org.antlr.runtime.BitSet FOLLOW_extfidir1_in_handconfigtail22200

    - #### FOLLOW_palmor1_in_handconfigtail22223

          public static final org.antlr.runtime.BitSet FOLLOW_palmor1_in_handconfigtail22223

    - #### FOLLOW_HSHAPE2_in_handshape22281

          public static final org.antlr.runtime.BitSet FOLLOW_HSHAPE2_in_handshape22281

    - #### FOLLOW_handshape1_in_handshape22299

          public static final org.antlr.runtime.BitSet FOLLOW_handshape1_in_handshape22299

    - #### FOLLOW_handshape1_in_handshape22317

          public static final org.antlr.runtime.BitSet FOLLOW_handshape1_in_handshape22317

    - #### FOLLOW_HSHAPE1_in_handshape12365

          public static final org.antlr.runtime.BitSet FOLLOW_HSHAPE1_in_handshape12365

    - #### FOLLOW_basichandshape1_in_handshape12384

          public static final org.antlr.runtime.BitSet FOLLOW_basichandshape1_in_handshape12384

    - #### FOLLOW_fingerlist_in_handshape12403

          public static final org.antlr.runtime.BitSet FOLLOW_fingerlist_in_handshape12403

    - #### FOLLOW_fingershapelist_in_handshape12425

          public static final org.antlr.runtime.BitSet FOLLOW_fingershapelist_in_handshape12425

    - #### FOLLOW_fingercrossinglist_in_handshape12447

          public static final org.antlr.runtime.BitSet FOLLOW_fingercrossinglist_in_handshape12447

    - #### FOLLOW_thumbspecial_in_handshape12470

          public static final org.antlr.runtime.BitSet FOLLOW_thumbspecial_in_handshape12470

    - #### FOLLOW_BASICHDSHP1_in_basichandshape12513

          public static final org.antlr.runtime.BitSet FOLLOW_BASICHDSHP1_in_basichandshape12513

    - #### FOLLOW_basichandshape_in_basichandshape12531

          public static final org.antlr.runtime.BitSet FOLLOW_basichandshape_in_basichandshape12531

    - #### FOLLOW_basichandshape_in_basichandshape12554

          public static final org.antlr.runtime.BitSet FOLLOW_basichandshape_in_basichandshape12554

    - #### FOLLOW_BASICHDSHP_in_basichandshape2603

          public static final org.antlr.runtime.BitSet FOLLOW_BASICHDSHP_in_basichandshape2603

    - #### FOLLOW_handshapeclass_in_basichandshape2625

          public static final org.antlr.runtime.BitSet FOLLOW_handshapeclass_in_basichandshape2625

    - #### FOLLOW_HamNondominant_in_basichandshape2654

          public static final org.antlr.runtime.BitSet FOLLOW_HamNondominant_in_basichandshape2654

    - #### FOLLOW_HamEtc_in_basichandshape2681

          public static final org.antlr.runtime.BitSet FOLLOW_HamEtc_in_basichandshape2681

    - #### FOLLOW_thumbpos_in_basichandshape2765

          public static final org.antlr.runtime.BitSet FOLLOW_thumbpos_in_basichandshape2765

    - #### FOLLOW_fingerbending_in_basichandshape2798

          public static final org.antlr.runtime.BitSet FOLLOW_fingerbending_in_basichandshape2798

    - #### FOLLOW_fingerbending_in_basichandshape2839

          public static final org.antlr.runtime.BitSet FOLLOW_fingerbending_in_basichandshape2839

    - #### FOLLOW_thumbpos_in_basichandshape2867

          public static final org.antlr.runtime.BitSet FOLLOW_thumbpos_in_basichandshape2867

    - #### FOLLOW_HSCLASS_in_handshapeclass2926

          public static final org.antlr.runtime.BitSet FOLLOW_HSCLASS_in_handshapeclass2926

    - #### FOLLOW_HamFist_in_handshapeclass2940

          public static final org.antlr.runtime.BitSet FOLLOW_HamFist_in_handshapeclass2940

    - #### FOLLOW_HamFlathand_in_handshapeclass2968

          public static final org.antlr.runtime.BitSet FOLLOW_HamFlathand_in_handshapeclass2968

    - #### FOLLOW_HamFinger2_in_handshapeclass2992

          public static final org.antlr.runtime.BitSet FOLLOW_HamFinger2_in_handshapeclass2992

    - #### FOLLOW_HamFinger23_in_handshapeclass3017

          public static final org.antlr.runtime.BitSet FOLLOW_HamFinger23_in_handshapeclass3017

    - #### FOLLOW_HamFinger23spread_in_handshapeclass3041

          public static final org.antlr.runtime.BitSet FOLLOW_HamFinger23spread_in_handshapeclass3041

    - #### FOLLOW_HamFinger2345_in_handshapeclass3059

          public static final org.antlr.runtime.BitSet FOLLOW_HamFinger2345_in_handshapeclass3059

    - #### FOLLOW_HamPinch12_in_handshapeclass3081

          public static final org.antlr.runtime.BitSet FOLLOW_HamPinch12_in_handshapeclass3081

    - #### FOLLOW_HamPinchall_in_handshapeclass3106

          public static final org.antlr.runtime.BitSet FOLLOW_HamPinchall_in_handshapeclass3106

    - #### FOLLOW_HamPinch12open_in_handshapeclass3130

          public static final org.antlr.runtime.BitSet FOLLOW_HamPinch12open_in_handshapeclass3130

    - #### FOLLOW_HamCee12_in_handshapeclass3151

          public static final org.antlr.runtime.BitSet FOLLOW_HamCee12_in_handshapeclass3151

    - #### FOLLOW_HamCeeall_in_handshapeclass3178

          public static final org.antlr.runtime.BitSet FOLLOW_HamCeeall_in_handshapeclass3178

    - #### FOLLOW_HamCee12open_in_handshapeclass3204

          public static final org.antlr.runtime.BitSet FOLLOW_HamCee12open_in_handshapeclass3204

    - #### FOLLOW_FIBENDING_in_fingerbending3259

          public static final org.antlr.runtime.BitSet FOLLOW_FIBENDING_in_fingerbending3259

    - #### FOLLOW_HamFingerstraightmod_in_fingerbending3273

          public static final org.antlr.runtime.BitSet FOLLOW_HamFingerstraightmod_in_fingerbending3273

    - #### FOLLOW_HamFingerbendmod_in_fingerbending3292

          public static final org.antlr.runtime.BitSet FOLLOW_HamFingerbendmod_in_fingerbending3292

    - #### FOLLOW_HamFingerhookedmod_in_fingerbending3315

          public static final org.antlr.runtime.BitSet FOLLOW_HamFingerhookedmod_in_fingerbending3315

    - #### FOLLOW_HamDoublebent_in_fingerbending3336

          public static final org.antlr.runtime.BitSet FOLLOW_HamDoublebent_in_fingerbending3336

    - #### FOLLOW_HamDoublehooked_in_fingerbending3362

          public static final org.antlr.runtime.BitSet FOLLOW_HamDoublehooked_in_fingerbending3362

    - #### FOLLOW_THUMBPOS_in_thumbpos3423

          public static final org.antlr.runtime.BitSet FOLLOW_THUMBPOS_in_thumbpos3423

    - #### FOLLOW_HamThumboutmod_in_thumbpos3437

          public static final org.antlr.runtime.BitSet FOLLOW_HamThumboutmod_in_thumbpos3437

    - #### FOLLOW_HamThumbacrossmod_in_thumbpos3458

          public static final org.antlr.runtime.BitSet FOLLOW_HamThumbacrossmod_in_thumbpos3458

    - #### FOLLOW_HamThumbopenmod_in_thumbpos3476

          public static final org.antlr.runtime.BitSet FOLLOW_HamThumbopenmod_in_thumbpos3476

    - #### FOLLOW_HamThumb_in_thumb3533

          public static final org.antlr.runtime.BitSet FOLLOW_HamThumb_in_thumb3533

    - #### FOLLOW_HamIndexfinger_in_finger3583

          public static final org.antlr.runtime.BitSet FOLLOW_HamIndexfinger_in_finger3583

    - #### FOLLOW_HamMiddlefinger_in_finger3604

          public static final org.antlr.runtime.BitSet FOLLOW_HamMiddlefinger_in_finger3604

    - #### FOLLOW_HamRingfinger_in_finger3624

          public static final org.antlr.runtime.BitSet FOLLOW_HamRingfinger_in_finger3624

    - #### FOLLOW_HamPinky_in_finger3646

          public static final org.antlr.runtime.BitSet FOLLOW_HamPinky_in_finger3646

    - #### FOLLOW_HSFINGERITEM_in_hsfingeritem3710

          public static final org.antlr.runtime.BitSet FOLLOW_HSFINGERITEM_in_hsfingeritem3710

    - #### FOLLOW_finger_in_hsfingeritem3724

          public static final org.antlr.runtime.BitSet FOLLOW_finger_in_hsfingeritem3724

    - #### FOLLOW_HamLargemod_in_hsfingeritem3744

          public static final org.antlr.runtime.BitSet FOLLOW_HamLargemod_in_hsfingeritem3744

    - #### FOLLOW_thumb_in_digit3812

          public static final org.antlr.runtime.BitSet FOLLOW_thumb_in_digit3812

    - #### FOLLOW_finger_in_digit3826

          public static final org.antlr.runtime.BitSet FOLLOW_finger_in_digit3826

    - #### FOLLOW_FINGERLIST_in_fingerlist3875

          public static final org.antlr.runtime.BitSet FOLLOW_FINGERLIST_in_fingerlist3875

    - #### FOLLOW_hsfingeritem_in_fingerlist3891

          public static final org.antlr.runtime.BitSet FOLLOW_hsfingeritem_in_fingerlist3891

    - #### FOLLOW_FISHPLIST_in_fingershapelist3955

          public static final org.antlr.runtime.BitSet FOLLOW_FISHPLIST_in_fingershapelist3955

    - #### FOLLOW_fingershape_in_fingershapelist3971

          public static final org.antlr.runtime.BitSet FOLLOW_fingershape_in_fingershapelist3971

    - #### FOLLOW_FICRSSLIST_in_fingercrossinglist4034

          public static final org.antlr.runtime.BitSet FOLLOW_FICRSSLIST_in_fingercrossinglist4034

    - #### FOLLOW_fingercrossing_in_fingercrossinglist4050

          public static final org.antlr.runtime.BitSet FOLLOW_fingercrossing_in_fingercrossinglist4050

    - #### FOLLOW_FSHAPE_in_fingershape4105

          public static final org.antlr.runtime.BitSet FOLLOW_FSHAPE_in_fingershape4105

    - #### FOLLOW_digit_in_fingershape4120

          public static final org.antlr.runtime.BitSet FOLLOW_digit_in_fingershape4120

    - #### FOLLOW_fingerbending_in_fingershape4134

          public static final org.antlr.runtime.BitSet FOLLOW_fingerbending_in_fingershape4134

    - #### FOLLOW_FCROSSING_in_fingercrossing4175

          public static final org.antlr.runtime.BitSet FOLLOW_FCROSSING_in_fingercrossing4175

    - #### FOLLOW_digit_in_fingercrossing4189

          public static final org.antlr.runtime.BitSet FOLLOW_digit_in_fingercrossing4189

    - #### FOLLOW_fingerpart_in_fingercrossing4203

          public static final org.antlr.runtime.BitSet FOLLOW_fingerpart_in_fingercrossing4203

    - #### FOLLOW_digit_in_fingercrossing4217

          public static final org.antlr.runtime.BitSet FOLLOW_digit_in_fingercrossing4217

    - #### FOLLOW_THSPECIAL_in_thumbspecial4263

          public static final org.antlr.runtime.BitSet FOLLOW_THSPECIAL_in_thumbspecial4263

    - #### FOLLOW_HamBetween_in_thumbspecial4278

          public static final org.antlr.runtime.BitSet FOLLOW_HamBetween_in_thumbspecial4278

    - #### FOLLOW_finger_in_thumbspecial4304

          public static final org.antlr.runtime.BitSet FOLLOW_finger_in_thumbspecial4304

    - #### FOLLOW_finger_in_thumbspecial4330

          public static final org.antlr.runtime.BitSet FOLLOW_finger_in_thumbspecial4330

    - #### FOLLOW_thumb_in_thumbspecial4395

          public static final org.antlr.runtime.BitSet FOLLOW_thumb_in_thumbspecial4395

    - #### FOLLOW_fingerpart_in_thumbspecial4428

          public static final org.antlr.runtime.BitSet FOLLOW_fingerpart_in_thumbspecial4428

    - #### FOLLOW_HamFingertip_in_fingerpart4494

          public static final org.antlr.runtime.BitSet FOLLOW_HamFingertip_in_fingerpart4494

    - #### FOLLOW_HamFingernail_in_fingerpart4517

          public static final org.antlr.runtime.BitSet FOLLOW_HamFingernail_in_fingerpart4517

    - #### FOLLOW_HamFingerpad_in_fingerpart4539

          public static final org.antlr.runtime.BitSet FOLLOW_HamFingerpad_in_fingerpart4539

    - #### FOLLOW_HamFingermidjoint_in_fingerpart4562

          public static final org.antlr.runtime.BitSet FOLLOW_HamFingermidjoint_in_fingerpart4562

    - #### FOLLOW_HamFingerbase_in_fingerpart4580

          public static final org.antlr.runtime.BitSet FOLLOW_HamFingerbase_in_fingerpart4580

    - #### FOLLOW_HamFingerside_in_fingerpart4602

          public static final org.antlr.runtime.BitSet FOLLOW_HamFingerside_in_fingerpart4602

    - #### FOLLOW_EXTFIDIR2_in_extfidir24663

          public static final org.antlr.runtime.BitSet FOLLOW_EXTFIDIR2_in_extfidir24663

    - #### FOLLOW_extfidir1_in_extfidir24682

          public static final org.antlr.runtime.BitSet FOLLOW_extfidir1_in_extfidir24682

    - #### FOLLOW_extfidir1_in_extfidir24701

          public static final org.antlr.runtime.BitSet FOLLOW_extfidir1_in_extfidir24701

    - #### FOLLOW_EXTFIDIR1_in_extfidir14754

          public static final org.antlr.runtime.BitSet FOLLOW_EXTFIDIR1_in_extfidir14754

    - #### FOLLOW_extfidir_in_extfidir14771

          public static final org.antlr.runtime.BitSet FOLLOW_extfidir_in_extfidir14771

    - #### FOLLOW_extfidir_in_extfidir14788

          public static final org.antlr.runtime.BitSet FOLLOW_extfidir_in_extfidir14788

    - #### FOLLOW_HamOrirelative_in_extfidir14811

          public static final org.antlr.runtime.BitSet FOLLOW_HamOrirelative_in_extfidir14811

    - #### FOLLOW_EXTFIDIR_in_extfidir4874

          public static final org.antlr.runtime.BitSet FOLLOW_EXTFIDIR_in_extfidir4874

    - #### FOLLOW_HamExtfingeru_in_extfidir4908

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingeru_in_extfidir4908

    - #### FOLLOW_HamExtfingerur_in_extfidir4938

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingerur_in_extfidir4938

    - #### FOLLOW_HamExtfingerr_in_extfidir4967

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingerr_in_extfidir4967

    - #### FOLLOW_HamExtfingerdr_in_extfidir4997

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingerdr_in_extfidir4997

    - #### FOLLOW_HamExtfingerd_in_extfidir5026

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingerd_in_extfidir5026

    - #### FOLLOW_HamExtfingerdl_in_extfidir5056

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingerdl_in_extfidir5056

    - #### FOLLOW_HamExtfingerl_in_extfidir5085

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingerl_in_extfidir5085

    - #### FOLLOW_HamExtfingerul_in_extfidir5115

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingerul_in_extfidir5115

    - #### FOLLOW_HamExtfingerol_in_extfidir5172

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingerol_in_extfidir5172

    - #### FOLLOW_HamExtfingeruo_in_extfidir5223

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingeruo_in_extfidir5223

    - #### FOLLOW_HamExtfingerdo_in_extfidir5252

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingerdo_in_extfidir5252

    - #### FOLLOW_HamExtfingero_in_extfidir5306

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingero_in_extfidir5306

    - #### FOLLOW_HamExtfingeror_in_extfidir5354

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingeror_in_extfidir5354

    - #### FOLLOW_HamExtfingeruo_in_extfidir5405

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingeruo_in_extfidir5405

    - #### FOLLOW_HamExtfingerdo_in_extfidir5434

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingerdo_in_extfidir5434

    - #### FOLLOW_HamExtfingeril_in_extfidir5506

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingeril_in_extfidir5506

    - #### FOLLOW_HamExtfingerui_in_extfidir5557

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingerui_in_extfidir5557

    - #### FOLLOW_HamExtfingerdi_in_extfidir5586

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingerdi_in_extfidir5586

    - #### FOLLOW_HamExtfingeri_in_extfidir5640

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingeri_in_extfidir5640

    - #### FOLLOW_HamExtfingerir_in_extfidir5688

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingerir_in_extfidir5688

    - #### FOLLOW_HamExtfingerui_in_extfidir5739

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingerui_in_extfidir5739

    - #### FOLLOW_HamExtfingerdi_in_extfidir5768

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingerdi_in_extfidir5768

    - #### FOLLOW_HamExtfingeruo_in_extfidir5850

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingeruo_in_extfidir5850

    - #### FOLLOW_HamExtfingerol_in_extfidir5901

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingerol_in_extfidir5901

    - #### FOLLOW_HamExtfingeror_in_extfidir5930

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingeror_in_extfidir5930

    - #### FOLLOW_HamExtfingerdo_in_extfidir6002

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingerdo_in_extfidir6002

    - #### FOLLOW_HamExtfingerol_in_extfidir6053

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingerol_in_extfidir6053

    - #### FOLLOW_HamExtfingeror_in_extfidir6082

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingeror_in_extfidir6082

    - #### FOLLOW_HamExtfingerui_in_extfidir6154

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingerui_in_extfidir6154

    - #### FOLLOW_HamExtfingeril_in_extfidir6205

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingeril_in_extfidir6205

    - #### FOLLOW_HamExtfingerir_in_extfidir6234

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingerir_in_extfidir6234

    - #### FOLLOW_HamExtfingerdi_in_extfidir6306

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingerdi_in_extfidir6306

    - #### FOLLOW_HamExtfingeril_in_extfidir6357

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingeril_in_extfidir6357

    - #### FOLLOW_HamExtfingerir_in_extfidir6386

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingerir_in_extfidir6386

    - #### FOLLOW_PALMOR2_in_palmor26487

          public static final org.antlr.runtime.BitSet FOLLOW_PALMOR2_in_palmor26487

    - #### FOLLOW_palmor1_in_palmor26505

          public static final org.antlr.runtime.BitSet FOLLOW_palmor1_in_palmor26505

    - #### FOLLOW_palmor1_in_palmor26523

          public static final org.antlr.runtime.BitSet FOLLOW_palmor1_in_palmor26523

    - #### FOLLOW_PALMOR1_in_palmor16578

          public static final org.antlr.runtime.BitSet FOLLOW_PALMOR1_in_palmor16578

    - #### FOLLOW_palmor_in_palmor16596

          public static final org.antlr.runtime.BitSet FOLLOW_palmor_in_palmor16596

    - #### FOLLOW_palmor_in_palmor16624

          public static final org.antlr.runtime.BitSet FOLLOW_palmor_in_palmor16624

    - #### FOLLOW_HamEtc_in_palmor16654

          public static final org.antlr.runtime.BitSet FOLLOW_HamEtc_in_palmor16654

    - #### FOLLOW_HamOrirelative_in_palmor16696

          public static final org.antlr.runtime.BitSet FOLLOW_HamOrirelative_in_palmor16696

    - #### FOLLOW_HamPalmu_in_palmor6765

          public static final org.antlr.runtime.BitSet FOLLOW_HamPalmu_in_palmor6765

    - #### FOLLOW_HamPalmur_in_palmor6788

          public static final org.antlr.runtime.BitSet FOLLOW_HamPalmur_in_palmor6788

    - #### FOLLOW_HamPalmr_in_palmor6810

          public static final org.antlr.runtime.BitSet FOLLOW_HamPalmr_in_palmor6810

    - #### FOLLOW_HamPalmdr_in_palmor6833

          public static final org.antlr.runtime.BitSet FOLLOW_HamPalmdr_in_palmor6833

    - #### FOLLOW_HamPalmd_in_palmor6855

          public static final org.antlr.runtime.BitSet FOLLOW_HamPalmd_in_palmor6855

    - #### FOLLOW_HamPalmdl_in_palmor6878

          public static final org.antlr.runtime.BitSet FOLLOW_HamPalmdl_in_palmor6878

    - #### FOLLOW_HamPalml_in_palmor6900

          public static final org.antlr.runtime.BitSet FOLLOW_HamPalml_in_palmor6900

    - #### FOLLOW_HamPalmul_in_palmor6923

          public static final org.antlr.runtime.BitSet FOLLOW_HamPalmul_in_palmor6923

    - #### FOLLOW_LOC2_in_location26988

          public static final org.antlr.runtime.BitSet FOLLOW_LOC2_in_location26988

    - #### FOLLOW_location1_in_location27020

          public static final org.antlr.runtime.BitSet FOLLOW_location1_in_location27020

    - #### FOLLOW_location1_in_location27041

          public static final org.antlr.runtime.BitSet FOLLOW_location1_in_location27041

    - #### FOLLOW_handconstellation_in_location27077

          public static final org.antlr.runtime.BitSet FOLLOW_handconstellation_in_location27077

    - #### FOLLOW_HamArmextended_in_location27115

          public static final org.antlr.runtime.BitSet FOLLOW_HamArmextended_in_location27115

    - #### FOLLOW_locationbody_in_location27161

          public static final org.antlr.runtime.BitSet FOLLOW_locationbody_in_location27161

    - #### FOLLOW_LOC1_in_location17232

          public static final org.antlr.runtime.BitSet FOLLOW_LOC1_in_location17232

    - #### FOLLOW_digit_in_location17260

          public static final org.antlr.runtime.BitSet FOLLOW_digit_in_location17260

    - #### FOLLOW_locationhand_in_location17302

          public static final org.antlr.runtime.BitSet FOLLOW_locationhand_in_location17302

    - #### FOLLOW_locationbodyarm_in_location17330

          public static final org.antlr.runtime.BitSet FOLLOW_locationbodyarm_in_location17330

    - #### FOLLOW_LOCTNBODYARM_in_locationbodyarm7384

          public static final org.antlr.runtime.BitSet FOLLOW_LOCTNBODYARM_in_locationbodyarm7384

    - #### FOLLOW_locationbody_in_locationbodyarm7412

          public static final org.antlr.runtime.BitSet FOLLOW_locationbody_in_locationbodyarm7412

    - #### FOLLOW_locationarm_in_locationbodyarm7440

          public static final org.antlr.runtime.BitSet FOLLOW_locationarm_in_locationbodyarm7440

    - #### FOLLOW_HamArmextended_in_locationbodyarm7466

          public static final org.antlr.runtime.BitSet FOLLOW_HamArmextended_in_locationbodyarm7466

    - #### FOLLOW_LOCTNBODY_in_locationbody7535

          public static final org.antlr.runtime.BitSet FOLLOW_LOCTNBODY_in_locationbody7535

    - #### FOLLOW_levelcomplexbody_in_locationbody7553

          public static final org.antlr.runtime.BitSet FOLLOW_levelcomplexbody_in_locationbody7553

    - #### FOLLOW_HamBehind_in_locationbody7573

          public static final org.antlr.runtime.BitSet FOLLOW_HamBehind_in_locationbody7573

    - #### FOLLOW_contactbody_in_locationbody7629

          public static final org.antlr.runtime.BitSet FOLLOW_contactbody_in_locationbody7629

    - #### FOLLOW_LOCTNHAND_in_locationhand7675

          public static final org.antlr.runtime.BitSet FOLLOW_LOCTNHAND_in_locationhand7675

    - #### FOLLOW_levelcomplexhand_in_locationhand7693

          public static final org.antlr.runtime.BitSet FOLLOW_levelcomplexhand_in_locationhand7693

    - #### FOLLOW_contacthand_in_locationhand7712

          public static final org.antlr.runtime.BitSet FOLLOW_contacthand_in_locationhand7712

    - #### FOLLOW_LOCTNARM_in_locationarm7763

          public static final org.antlr.runtime.BitSet FOLLOW_LOCTNARM_in_locationarm7763

    - #### FOLLOW_levelcomplexarm_in_locationarm7781

          public static final org.antlr.runtime.BitSet FOLLOW_levelcomplexarm_in_locationarm7781

    - #### FOLLOW_HamBehind_in_locationarm7801

          public static final org.antlr.runtime.BitSet FOLLOW_HamBehind_in_locationarm7801

    - #### FOLLOW_contactbody_in_locationarm7857

          public static final org.antlr.runtime.BitSet FOLLOW_contactbody_in_locationarm7857

    - #### FOLLOW_levelbody_in_levelcomplexbody7908

          public static final org.antlr.runtime.BitSet FOLLOW_levelbody_in_levelcomplexbody7908

    - #### FOLLOW_levelbody_in_levelcomplexbody7926

          public static final org.antlr.runtime.BitSet FOLLOW_levelbody_in_levelcomplexbody7926

    - #### FOLLOW_levelhand_in_levelcomplexhand7971

          public static final org.antlr.runtime.BitSet FOLLOW_levelhand_in_levelcomplexhand7971

    - #### FOLLOW_levelhand_in_levelcomplexhand7989

          public static final org.antlr.runtime.BitSet FOLLOW_levelhand_in_levelcomplexhand7989

    - #### FOLLOW_levelarm_in_levelcomplexarm8035

          public static final org.antlr.runtime.BitSet FOLLOW_levelarm_in_levelcomplexarm8035

    - #### FOLLOW_levelarm_in_levelcomplexarm8053

          public static final org.antlr.runtime.BitSet FOLLOW_levelarm_in_levelcomplexarm8053

    - #### FOLLOW_LEVBODY_in_levelbody8100

          public static final org.antlr.runtime.BitSet FOLLOW_LEVBODY_in_levelbody8100

    - #### FOLLOW_side_in_levelbody8119

          public static final org.antlr.runtime.BitSet FOLLOW_side_in_levelbody8119

    - #### FOLLOW_locbody_in_levelbody8152

          public static final org.antlr.runtime.BitSet FOLLOW_locbody_in_levelbody8152

    - #### FOLLOW_locsided_in_levelbody8181

          public static final org.antlr.runtime.BitSet FOLLOW_locsided_in_levelbody8181

    - #### FOLLOW_HamEtc_in_levelbody8211

          public static final org.antlr.runtime.BitSet FOLLOW_HamEtc_in_levelbody8211

    - #### FOLLOW_side_in_levelbody8246

          public static final org.antlr.runtime.BitSet FOLLOW_side_in_levelbody8246

    - #### FOLLOW_LEVHAND_in_levelhand8300

          public static final org.antlr.runtime.BitSet FOLLOW_LEVHAND_in_levelhand8300

    - #### FOLLOW_side_in_levelhand8319

          public static final org.antlr.runtime.BitSet FOLLOW_side_in_levelhand8319

    - #### FOLLOW_handpart_in_levelhand8352

          public static final org.antlr.runtime.BitSet FOLLOW_handpart_in_levelhand8352

    - #### FOLLOW_fingerpart_in_levelhand8391

          public static final org.antlr.runtime.BitSet FOLLOW_fingerpart_in_levelhand8391

    - #### FOLLOW_digit_in_levelhand8422

          public static final org.antlr.runtime.BitSet FOLLOW_digit_in_levelhand8422

    - #### FOLLOW_digit_in_levelhand8465

          public static final org.antlr.runtime.BitSet FOLLOW_digit_in_levelhand8465

    - #### FOLLOW_fingerpart_in_levelhand8499

          public static final org.antlr.runtime.BitSet FOLLOW_fingerpart_in_levelhand8499

    - #### FOLLOW_dorsalorpalmar_in_levelhand8542

          public static final org.antlr.runtime.BitSet FOLLOW_dorsalorpalmar_in_levelhand8542

    - #### FOLLOW_side_in_levelhand8564

          public static final org.antlr.runtime.BitSet FOLLOW_side_in_levelhand8564

    - #### FOLLOW_LEVARM_in_levelarm8619

          public static final org.antlr.runtime.BitSet FOLLOW_LEVARM_in_levelarm8619

    - #### FOLLOW_side_in_levelarm8638

          public static final org.antlr.runtime.BitSet FOLLOW_side_in_levelarm8638

    - #### FOLLOW_locarm_in_levelarm8661

          public static final org.antlr.runtime.BitSet FOLLOW_locarm_in_levelarm8661

    - #### FOLLOW_HamEtc_in_levelarm8681

          public static final org.antlr.runtime.BitSet FOLLOW_HamEtc_in_levelarm8681

    - #### FOLLOW_dorsalorpalmar_in_levelarm8716

          public static final org.antlr.runtime.BitSet FOLLOW_dorsalorpalmar_in_levelarm8716

    - #### FOLLOW_side_in_levelarm8738

          public static final org.antlr.runtime.BitSet FOLLOW_side_in_levelarm8738

    - #### FOLLOW_CNTCTBODY_in_contactbody8786

          public static final org.antlr.runtime.BitSet FOLLOW_CNTCTBODY_in_contactbody8786

    - #### FOLLOW_pcontact_in_contactbody8816

          public static final org.antlr.runtime.BitSet FOLLOW_pcontact_in_contactbody8816

    - #### FOLLOW_HamArmextended_in_contactbody8840

          public static final org.antlr.runtime.BitSet FOLLOW_HamArmextended_in_contactbody8840

    - #### FOLLOW_contactofhand_in_contactbody8892

          public static final org.antlr.runtime.BitSet FOLLOW_contactofhand_in_contactbody8892

    - #### FOLLOW_CNTCTHAND_in_contacthand8946

          public static final org.antlr.runtime.BitSet FOLLOW_CNTCTHAND_in_contacthand8946

    - #### FOLLOW_pcontact_in_contacthand8976

          public static final org.antlr.runtime.BitSet FOLLOW_pcontact_in_contacthand8976

    - #### FOLLOW_ccontact_in_contacthand9006

          public static final org.antlr.runtime.BitSet FOLLOW_ccontact_in_contacthand9006

    - #### FOLLOW_contactofhand_in_contacthand9036

          public static final org.antlr.runtime.BitSet FOLLOW_contactofhand_in_contacthand9036

    - #### FOLLOW_CNTCTOFHAND_in_contactofhand9098

          public static final org.antlr.runtime.BitSet FOLLOW_CNTCTOFHAND_in_contactofhand9098

    - #### FOLLOW_pcontact_in_contactofhand9131

          public static final org.antlr.runtime.BitSet FOLLOW_pcontact_in_contactofhand9131

    - #### FOLLOW_ccontact_in_contactofhand9164

          public static final org.antlr.runtime.BitSet FOLLOW_ccontact_in_contactofhand9164

    - #### FOLLOW_contactohhand_in_contactofhand9206

          public static final org.antlr.runtime.BitSet FOLLOW_contactohhand_in_contactofhand9206

    - #### FOLLOW_contactoharm_in_contactofhand9238

          public static final org.antlr.runtime.BitSet FOLLOW_contactoharm_in_contactofhand9238

    - #### FOLLOW_CNTCTOHHAND_in_contactohhand9294

          public static final org.antlr.runtime.BitSet FOLLOW_CNTCTOHHAND_in_contactohhand9294

    - #### FOLLOW_levelcomplexhand_in_contactohhand9308

          public static final org.antlr.runtime.BitSet FOLLOW_levelcomplexhand_in_contactohhand9308

    - #### FOLLOW_CNTCTOHARM_in_contactoharm9353

          public static final org.antlr.runtime.BitSet FOLLOW_CNTCTOHARM_in_contactoharm9353

    - #### FOLLOW_levelcomplexarm_in_contactoharm9367

          public static final org.antlr.runtime.BitSet FOLLOW_levelcomplexarm_in_contactoharm9367

    - #### FOLLOW_HCONSTLLN_in_handconstellation9409

          public static final org.antlr.runtime.BitSet FOLLOW_HCONSTLLN_in_handconstellation9409

    - #### FOLLOW_locationhand_in_handconstellation9437

          public static final org.antlr.runtime.BitSet FOLLOW_locationhand_in_handconstellation9437

    - #### FOLLOW_locationhand_in_handconstellation9455

          public static final org.antlr.runtime.BitSet FOLLOW_locationhand_in_handconstellation9455

    - #### FOLLOW_contacthand_in_handconstellation9485

          public static final org.antlr.runtime.BitSet FOLLOW_contacthand_in_handconstellation9485

    - #### FOLLOW_HamUpperarm_in_locarm9540

          public static final org.antlr.runtime.BitSet FOLLOW_HamUpperarm_in_locarm9540

    - #### FOLLOW_HamElbow_in_locarm9564

          public static final org.antlr.runtime.BitSet FOLLOW_HamElbow_in_locarm9564

    - #### FOLLOW_HamElbowinside_in_locarm9591

          public static final org.antlr.runtime.BitSet FOLLOW_HamElbowinside_in_locarm9591

    - #### FOLLOW_HamLowerarm_in_locarm9612

          public static final org.antlr.runtime.BitSet FOLLOW_HamLowerarm_in_locarm9612

    - #### FOLLOW_LOCBODY_in_locbody9672

          public static final org.antlr.runtime.BitSet FOLLOW_LOCBODY_in_locbody9672

    - #### FOLLOW_HamHead_in_locbody9686

          public static final org.antlr.runtime.BitSet FOLLOW_HamHead_in_locbody9686

    - #### FOLLOW_HamHeadtop_in_locbody9718

          public static final org.antlr.runtime.BitSet FOLLOW_HamHeadtop_in_locbody9718

    - #### FOLLOW_HamForehead_in_locbody9747

          public static final org.antlr.runtime.BitSet FOLLOW_HamForehead_in_locbody9747

    - #### FOLLOW_HamEyebrows_in_locbody9775

          public static final org.antlr.runtime.BitSet FOLLOW_HamEyebrows_in_locbody9775

    - #### FOLLOW_HamEyes_in_locbody9803

          public static final org.antlr.runtime.BitSet FOLLOW_HamEyes_in_locbody9803

    - #### FOLLOW_HamNose_in_locbody9835

          public static final org.antlr.runtime.BitSet FOLLOW_HamNose_in_locbody9835

    - #### FOLLOW_HamNostrils_in_locbody9867

          public static final org.antlr.runtime.BitSet FOLLOW_HamNostrils_in_locbody9867

    - #### FOLLOW_HamLips_in_locbody9895

          public static final org.antlr.runtime.BitSet FOLLOW_HamLips_in_locbody9895

    - #### FOLLOW_HamTongue_in_locbody9927

          public static final org.antlr.runtime.BitSet FOLLOW_HamTongue_in_locbody9927

    - #### FOLLOW_HamTeeth_in_locbody9957

          public static final org.antlr.runtime.BitSet FOLLOW_HamTeeth_in_locbody9957

    - #### FOLLOW_HamChin_in_locbody9988

          public static final org.antlr.runtime.BitSet FOLLOW_HamChin_in_locbody9988

    - #### FOLLOW_HamUnderchin_in_locbody10020

          public static final org.antlr.runtime.BitSet FOLLOW_HamUnderchin_in_locbody10020

    - #### FOLLOW_HamNeck_in_locbody10047

          public static final org.antlr.runtime.BitSet FOLLOW_HamNeck_in_locbody10047

    - #### FOLLOW_HamShouldertop_in_locbody10079

          public static final org.antlr.runtime.BitSet FOLLOW_HamShouldertop_in_locbody10079

    - #### FOLLOW_HamShoulders_in_locbody10104

          public static final org.antlr.runtime.BitSet FOLLOW_HamShoulders_in_locbody10104

    - #### FOLLOW_HamChest_in_locbody10131

          public static final org.antlr.runtime.BitSet FOLLOW_HamChest_in_locbody10131

    - #### FOLLOW_HamStomach_in_locbody10162

          public static final org.antlr.runtime.BitSet FOLLOW_HamStomach_in_locbody10162

    - #### FOLLOW_HamBelowstomach_in_locbody10191

          public static final org.antlr.runtime.BitSet FOLLOW_HamBelowstomach_in_locbody10191

    - #### FOLLOW_HamDoublebent_in_locbody10235

          public static final org.antlr.runtime.BitSet FOLLOW_HamDoublebent_in_locbody10235

    - #### FOLLOW_HamDoublehooked_in_locbody10261

          public static final org.antlr.runtime.BitSet FOLLOW_HamDoublehooked_in_locbody10261

    - #### FOLLOW_HamEar_in_locsided10332

          public static final org.antlr.runtime.BitSet FOLLOW_HamEar_in_locsided10332

    - #### FOLLOW_HamEarlobe_in_locsided10361

          public static final org.antlr.runtime.BitSet FOLLOW_HamEarlobe_in_locsided10361

    - #### FOLLOW_HamCheek_in_locsided10386

          public static final org.antlr.runtime.BitSet FOLLOW_HamCheek_in_locsided10386

    - #### FOLLOW_HamWristback_in_handpart10451

          public static final org.antlr.runtime.BitSet FOLLOW_HamWristback_in_handpart10451

    - #### FOLLOW_HamWristpulse_in_handpart10474

          public static final org.antlr.runtime.BitSet FOLLOW_HamWristpulse_in_handpart10474

    - #### FOLLOW_HamThumbball_in_handpart10496

          public static final org.antlr.runtime.BitSet FOLLOW_HamThumbball_in_handpart10496

    - #### FOLLOW_HamPalm_in_handpart10519

          public static final org.antlr.runtime.BitSet FOLLOW_HamPalm_in_handpart10519

    - #### FOLLOW_HamHandback_in_handpart10547

          public static final org.antlr.runtime.BitSet FOLLOW_HamHandback_in_handpart10547

    - #### FOLLOW_HamThumbside_in_handpart10571

          public static final org.antlr.runtime.BitSet FOLLOW_HamThumbside_in_handpart10571

    - #### FOLLOW_HamPinkyside_in_handpart10594

          public static final org.antlr.runtime.BitSet FOLLOW_HamPinkyside_in_handpart10594

    - #### FOLLOW_HamLrbeside_in_side10679

          public static final org.antlr.runtime.BitSet FOLLOW_HamLrbeside_in_side10679

    - #### FOLLOW_HamLrat_in_side10703

          public static final org.antlr.runtime.BitSet FOLLOW_HamLrat_in_side10703

    - #### FOLLOW_HamHandback_in_dorsalorpalmar10765

          public static final org.antlr.runtime.BitSet FOLLOW_HamHandback_in_dorsalorpalmar10765

    - #### FOLLOW_HamPalm_in_dorsalorpalmar10789

          public static final org.antlr.runtime.BitSet FOLLOW_HamPalm_in_dorsalorpalmar10789

    - #### FOLLOW_HamTouch_in_pcontact10855

          public static final org.antlr.runtime.BitSet FOLLOW_HamTouch_in_pcontact10855

    - #### FOLLOW_HamClose_in_pcontact10882

          public static final org.antlr.runtime.BitSet FOLLOW_HamClose_in_pcontact10882

    - #### FOLLOW_HamInterlock_in_ccontact10953

          public static final org.antlr.runtime.BitSet FOLLOW_HamInterlock_in_ccontact10953

    - #### FOLLOW_HamCross_in_ccontact10976

          public static final org.antlr.runtime.BitSet FOLLOW_HamCross_in_ccontact10976

    - #### FOLLOW_A2TLIST_in_a2tstar11048

          public static final org.antlr.runtime.BitSet FOLLOW_A2TLIST_in_a2tstar11048

    - #### FOLLOW_action2t_in_a2tstar11066

          public static final org.antlr.runtime.BitSet FOLLOW_action2t_in_a2tstar11066

    - #### FOLLOW_A1TLIST_in_a1tstar11128

          public static final org.antlr.runtime.BitSet FOLLOW_A1TLIST_in_a1tstar11128

    - #### FOLLOW_action1t_in_a1tstar11146

          public static final org.antlr.runtime.BitSet FOLLOW_action1t_in_a1tstar11146

    - #### FOLLOW_ACTION2T_in_action2t11203

          public static final org.antlr.runtime.BitSet FOLLOW_ACTION2T_in_action2t11203

    - #### FOLLOW_action1t_in_action2t11231

          public static final org.antlr.runtime.BitSet FOLLOW_action1t_in_action2t11231

    - #### FOLLOW_action1_in_action2t11261

          public static final org.antlr.runtime.BitSet FOLLOW_action1_in_action2t11261

    - #### FOLLOW_location2_in_action2t11279

          public static final org.antlr.runtime.BitSet FOLLOW_location2_in_action2t11279

    - #### FOLLOW_splitaction2loc2_in_action2t11308

          public static final org.antlr.runtime.BitSet FOLLOW_splitaction2loc2_in_action2t11308

    - #### FOLLOW_splitaction2t_in_action2t11343

          public static final org.antlr.runtime.BitSet FOLLOW_splitaction2t_in_action2t11343

    - #### FOLLOW_paraction2t_in_action2t11380

          public static final org.antlr.runtime.BitSet FOLLOW_paraction2t_in_action2t11380

    - #### FOLLOW_seqaction2t_in_action2t11408

          public static final org.antlr.runtime.BitSet FOLLOW_seqaction2t_in_action2t11408

    - #### FOLLOW_seqfusedaction2t_in_action2t11436

          public static final org.antlr.runtime.BitSet FOLLOW_seqfusedaction2t_in_action2t11436

    - #### FOLLOW_repetitions_in_action2t11472

          public static final org.antlr.runtime.BitSet FOLLOW_repetitions_in_action2t11472

    - #### FOLLOW_ACTION1T_in_action1t11527

          public static final org.antlr.runtime.BitSet FOLLOW_ACTION1T_in_action1t11527

    - #### FOLLOW_action1_in_action1t11561

          public static final org.antlr.runtime.BitSet FOLLOW_action1_in_action1t11561

    - #### FOLLOW_location1_in_action1t11598

          public static final org.antlr.runtime.BitSet FOLLOW_location1_in_action1t11598

    - #### FOLLOW_HamLargemod_in_action1t11622

          public static final org.antlr.runtime.BitSet FOLLOW_HamLargemod_in_action1t11622

    - #### FOLLOW_handconstellation_in_action1t11666

          public static final org.antlr.runtime.BitSet FOLLOW_handconstellation_in_action1t11666

    - #### FOLLOW_paraction1t_in_action1t11713

          public static final org.antlr.runtime.BitSet FOLLOW_paraction1t_in_action1t11713

    - #### FOLLOW_seqaction1t_in_action1t11745

          public static final org.antlr.runtime.BitSet FOLLOW_seqaction1t_in_action1t11745

    - #### FOLLOW_seqfusedaction1t_in_action1t11777

          public static final org.antlr.runtime.BitSet FOLLOW_seqfusedaction1t_in_action1t11777

    - #### FOLLOW_nmaction1t_in_action1t11808

          public static final org.antlr.runtime.BitSet FOLLOW_nmaction1t_in_action1t11808

    - #### FOLLOW_repetitions_in_action1t11850

          public static final org.antlr.runtime.BitSet FOLLOW_repetitions_in_action1t11850

    - #### FOLLOW_ACTION1_in_action111906

          public static final org.antlr.runtime.BitSet FOLLOW_ACTION1_in_action111906

    - #### FOLLOW_HamNomotion_in_action111940

          public static final org.antlr.runtime.BitSet FOLLOW_HamNomotion_in_action111940

    - #### FOLLOW_simplemovement_in_action111996

          public static final org.antlr.runtime.BitSet FOLLOW_simplemovement_in_action111996

    - #### FOLLOW_modifier_in_action112050

          public static final org.antlr.runtime.BitSet FOLLOW_modifier_in_action112050

    - #### FOLLOW_HamLargemod_in_action112117

          public static final org.antlr.runtime.BitSet FOLLOW_HamLargemod_in_action112117

    - #### FOLLOW_paraction1_in_action112171

          public static final org.antlr.runtime.BitSet FOLLOW_paraction1_in_action112171

    - #### FOLLOW_seqaction1_in_action112203

          public static final org.antlr.runtime.BitSet FOLLOW_seqaction1_in_action112203

    - #### FOLLOW_seqfusedaction1_in_action112235

          public static final org.antlr.runtime.BitSet FOLLOW_seqfusedaction1_in_action112235

    - #### FOLLOW_PARACT2T_in_paraction2t12296

          public static final org.antlr.runtime.BitSet FOLLOW_PARACT2T_in_paraction2t12296

    - #### FOLLOW_action2t_in_paraction2t12326

          public static final org.antlr.runtime.BitSet FOLLOW_action2t_in_paraction2t12326

    - #### FOLLOW_SEQACT2T_in_seqaction2t12392

          public static final org.antlr.runtime.BitSet FOLLOW_SEQACT2T_in_seqaction2t12392

    - #### FOLLOW_action2t_in_seqaction2t12422

          public static final org.antlr.runtime.BitSet FOLLOW_action2t_in_seqaction2t12422

    - #### FOLLOW_SEQFUSEDACT2T_in_seqfusedaction2t12491

          public static final org.antlr.runtime.BitSet FOLLOW_SEQFUSEDACT2T_in_seqfusedaction2t12491

    - #### FOLLOW_action2t_in_seqfusedaction2t12521

          public static final org.antlr.runtime.BitSet FOLLOW_action2t_in_seqfusedaction2t12521

    - #### FOLLOW_SPLITACT2LOC2_in_splitaction2loc212586

          public static final org.antlr.runtime.BitSet FOLLOW_SPLITACT2LOC2_in_splitaction2loc212586

    - #### FOLLOW_action1_in_splitaction2loc212606

          public static final org.antlr.runtime.BitSet FOLLOW_action1_in_splitaction2loc212606

    - #### FOLLOW_HamPlus_in_splitaction2loc212629

          public static final org.antlr.runtime.BitSet FOLLOW_HamPlus_in_splitaction2loc212629

    - #### FOLLOW_action1_in_splitaction2loc212649

          public static final org.antlr.runtime.BitSet FOLLOW_action1_in_splitaction2loc212649

    - #### FOLLOW_location2_in_splitaction2loc212680

          public static final org.antlr.runtime.BitSet FOLLOW_location2_in_splitaction2loc212680

    - #### FOLLOW_SPLITACT2T_in_splitaction2t12726

          public static final org.antlr.runtime.BitSet FOLLOW_SPLITACT2T_in_splitaction2t12726

    - #### FOLLOW_action1t_in_splitaction2t12745

          public static final org.antlr.runtime.BitSet FOLLOW_action1t_in_splitaction2t12745

    - #### FOLLOW_HamPlus_in_splitaction2t12767

          public static final org.antlr.runtime.BitSet FOLLOW_HamPlus_in_splitaction2t12767

    - #### FOLLOW_action1t_in_splitaction2t12786

          public static final org.antlr.runtime.BitSet FOLLOW_action1t_in_splitaction2t12786

    - #### FOLLOW_PARACT1T_in_paraction1t12846

          public static final org.antlr.runtime.BitSet FOLLOW_PARACT1T_in_paraction1t12846

    - #### FOLLOW_action1t_in_paraction1t12876

          public static final org.antlr.runtime.BitSet FOLLOW_action1t_in_paraction1t12876

    - #### FOLLOW_SEQACT1T_in_seqaction1t12942

          public static final org.antlr.runtime.BitSet FOLLOW_SEQACT1T_in_seqaction1t12942

    - #### FOLLOW_action1t_in_seqaction1t12972

          public static final org.antlr.runtime.BitSet FOLLOW_action1t_in_seqaction1t12972

    - #### FOLLOW_SEQFUSEDACT1T_in_seqfusedaction1t13041

          public static final org.antlr.runtime.BitSet FOLLOW_SEQFUSEDACT1T_in_seqfusedaction1t13041

    - #### FOLLOW_action1t_in_seqfusedaction1t13071

          public static final org.antlr.runtime.BitSet FOLLOW_action1t_in_seqfusedaction1t13071

    - #### FOLLOW_NMACT1T_in_nmaction1t13134

          public static final org.antlr.runtime.BitSet FOLLOW_NMACT1T_in_nmaction1t13134

    - #### FOLLOW_levelbody_in_nmaction1t13163

          public static final org.antlr.runtime.BitSet FOLLOW_levelbody_in_nmaction1t13163

    - #### FOLLOW_levelarm_in_nmaction1t13192

          public static final org.antlr.runtime.BitSet FOLLOW_levelarm_in_nmaction1t13192

    - #### FOLLOW_action1t_in_nmaction1t13223

          public static final org.antlr.runtime.BitSet FOLLOW_action1t_in_nmaction1t13223

    - #### FOLLOW_PARACT1_in_paraction113272

          public static final org.antlr.runtime.BitSet FOLLOW_PARACT1_in_paraction113272

    - #### FOLLOW_action1_in_paraction113302

          public static final org.antlr.runtime.BitSet FOLLOW_action1_in_paraction113302

    - #### FOLLOW_SEQACT1_in_seqaction113374

          public static final org.antlr.runtime.BitSet FOLLOW_SEQACT1_in_seqaction113374

    - #### FOLLOW_action1_in_seqaction113404

          public static final org.antlr.runtime.BitSet FOLLOW_action1_in_seqaction113404

    - #### FOLLOW_SEQFUSEDACT1_in_seqfusedaction113479

          public static final org.antlr.runtime.BitSet FOLLOW_SEQFUSEDACT1_in_seqfusedaction113479

    - #### FOLLOW_action1_in_seqfusedaction113509

          public static final org.antlr.runtime.BitSet FOLLOW_action1_in_seqfusedaction113509

    - #### FOLLOW_REPETITIONS_in_repetitions13582

          public static final org.antlr.runtime.BitSet FOLLOW_REPETITIONS_in_repetitions13582

    - #### FOLLOW_repetition_in_repetitions13633

          public static final org.antlr.runtime.BitSet FOLLOW_repetition_in_repetitions13633

    - #### FOLLOW_HamEtc_in_repetitions13679

          public static final org.antlr.runtime.BitSet FOLLOW_HamEtc_in_repetitions13679

    - #### FOLLOW_ellipsedirection_in_repetitions13723

          public static final org.antlr.runtime.BitSet FOLLOW_ellipsedirection_in_repetitions13723

    - #### FOLLOW_repetition_in_repetitions13771

          public static final org.antlr.runtime.BitSet FOLLOW_repetition_in_repetitions13771

    - #### FOLLOW_movingrepetition_in_repetitions13832

          public static final org.antlr.runtime.BitSet FOLLOW_movingrepetition_in_repetitions13832

    - #### FOLLOW_sizechange_in_repetitions13888

          public static final org.antlr.runtime.BitSet FOLLOW_sizechange_in_repetitions13888

    - #### FOLLOW_size_in_repetitions13915

          public static final org.antlr.runtime.BitSet FOLLOW_size_in_repetitions13915

    - #### FOLLOW_HamAlternatingmotion_in_repetitions13975

          public static final org.antlr.runtime.BitSet FOLLOW_HamAlternatingmotion_in_repetitions13975

    - #### FOLLOW_HamAlternatingmotion_in_repetitions13988

          public static final org.antlr.runtime.BitSet FOLLOW_HamAlternatingmotion_in_repetitions13988

    - #### FOLLOW_HamAlternatingmotion_in_repetitions14033

          public static final org.antlr.runtime.BitSet FOLLOW_HamAlternatingmotion_in_repetitions14033

    - #### FOLLOW_HamAlternatingmotion_in_repetitions14054

          public static final org.antlr.runtime.BitSet FOLLOW_HamAlternatingmotion_in_repetitions14054

    - #### FOLLOW_MOVINGREPETITION_in_movingrepetition14111

          public static final org.antlr.runtime.BitSet FOLLOW_MOVINGREPETITION_in_movingrepetition14111

    - #### FOLLOW_repetition_in_movingrepetition14135

          public static final org.antlr.runtime.BitSet FOLLOW_repetition_in_movingrepetition14135

    - #### FOLLOW_movementarrow_in_movingrepetition14158

          public static final org.antlr.runtime.BitSet FOLLOW_movementarrow_in_movingrepetition14158

    - #### FOLLOW_size_in_movingrepetition14181

          public static final org.antlr.runtime.BitSet FOLLOW_size_in_movingrepetition14181

    - #### FOLLOW_sizechange_in_movingrepetition14217

          public static final org.antlr.runtime.BitSet FOLLOW_sizechange_in_movingrepetition14217

    - #### FOLLOW_size_in_movingrepetition14238

          public static final org.antlr.runtime.BitSet FOLLOW_size_in_movingrepetition14238

    - #### FOLLOW_SIMPLEMVMT_in_simplemovement14300

          public static final org.antlr.runtime.BitSet FOLLOW_SIMPLEMVMT_in_simplemovement14300

    - #### FOLLOW_fullstraightmovement_in_simplemovement14329

          public static final org.antlr.runtime.BitSet FOLLOW_fullstraightmovement_in_simplemovement14329

    - #### FOLLOW_fullcircularmovement_in_simplemovement14358

          public static final org.antlr.runtime.BitSet FOLLOW_fullcircularmovement_in_simplemovement14358

    - #### FOLLOW_fullwristmovement_in_simplemovement14387

          public static final org.antlr.runtime.BitSet FOLLOW_fullwristmovement_in_simplemovement14387

    - #### FOLLOW_fullmovementcross_in_simplemovement14416

          public static final org.antlr.runtime.BitSet FOLLOW_fullmovementcross_in_simplemovement14416

    - #### FOLLOW_replacement_in_simplemovement14445

          public static final org.antlr.runtime.BitSet FOLLOW_replacement_in_simplemovement14445

    - #### FOLLOW_digit_in_simplemovement14503

          public static final org.antlr.runtime.BitSet FOLLOW_digit_in_simplemovement14503

    - #### FOLLOW_HamFingerplay_in_simplemovement14568

          public static final org.antlr.runtime.BitSet FOLLOW_HamFingerplay_in_simplemovement14568

    - #### FOLLOW_HamBrushing_in_simplemovement14628

          public static final org.antlr.runtime.BitSet FOLLOW_HamBrushing_in_simplemovement14628

    - #### FOLLOW_location1_in_simplemovement14647

          public static final org.antlr.runtime.BitSet FOLLOW_location1_in_simplemovement14647

    - #### FOLLOW_digit_in_simplemovement14676

          public static final org.antlr.runtime.BitSet FOLLOW_digit_in_simplemovement14676

    - #### FOLLOW_straightmovement_in_fullstraightmovement14739

          public static final org.antlr.runtime.BitSet FOLLOW_straightmovement_in_fullstraightmovement14739

    - #### FOLLOW_size_in_fullstraightmovement14764

          public static final org.antlr.runtime.BitSet FOLLOW_size_in_fullstraightmovement14764

    - #### FOLLOW_arckind_in_fullstraightmovement14797

          public static final org.antlr.runtime.BitSet FOLLOW_arckind_in_fullstraightmovement14797

    - #### FOLLOW_zigzag_in_fullstraightmovement14828

          public static final org.antlr.runtime.BitSet FOLLOW_zigzag_in_fullstraightmovement14828

    - #### FOLLOW_STRGHTMVMT_in_straightmovement14883

          public static final org.antlr.runtime.BitSet FOLLOW_STRGHTMVMT_in_straightmovement14883

    - #### FOLLOW_movementarrow_in_straightmovement14902

          public static final org.antlr.runtime.BitSet FOLLOW_movementarrow_in_straightmovement14902

    - #### FOLLOW_movementarrow_in_straightmovement14921

          public static final org.antlr.runtime.BitSet FOLLOW_movementarrow_in_straightmovement14921

    - #### FOLLOW_arc_in_arckind14988

          public static final org.antlr.runtime.BitSet FOLLOW_arc_in_arckind14988

    - #### FOLLOW_arc_in_arckind15007

          public static final org.antlr.runtime.BitSet FOLLOW_arc_in_arckind15007

    - #### FOLLOW_size_in_arckind15030

          public static final org.antlr.runtime.BitSet FOLLOW_size_in_arckind15030

    - #### FOLLOW_HamZigzag_in_zigzag15113

          public static final org.antlr.runtime.BitSet FOLLOW_HamZigzag_in_zigzag15113

    - #### FOLLOW_HamWavy_in_zigzag15149

          public static final org.antlr.runtime.BitSet FOLLOW_HamWavy_in_zigzag15149

    - #### FOLLOW_size_in_zigzag15186

          public static final org.antlr.runtime.BitSet FOLLOW_size_in_zigzag15186

    - #### FOLLOW_ellipsedirection_in_zigzag15208

          public static final org.antlr.runtime.BitSet FOLLOW_ellipsedirection_in_zigzag15208

    - #### FOLLOW_sizechangenonlinear_in_zigzag15231

          public static final org.antlr.runtime.BitSet FOLLOW_sizechangenonlinear_in_zigzag15231

    - #### FOLLOW_sizechange_in_sizechangenonlinear15295

          public static final org.antlr.runtime.BitSet FOLLOW_sizechange_in_sizechangenonlinear15295

    - #### FOLLOW_size_in_sizechangenonlinear15314

          public static final org.antlr.runtime.BitSet FOLLOW_size_in_sizechangenonlinear15314

    - #### FOLLOW_circularmovement_in_fullcircularmovement15377

          public static final org.antlr.runtime.BitSet FOLLOW_circularmovement_in_fullcircularmovement15377

    - #### FOLLOW_size_in_fullcircularmovement15402

          public static final org.antlr.runtime.BitSet FOLLOW_size_in_fullcircularmovement15402

    - #### FOLLOW_revolutions_in_fullcircularmovement15425

          public static final org.antlr.runtime.BitSet FOLLOW_revolutions_in_fullcircularmovement15425

    - #### FOLLOW_ellipse_in_fullcircularmovement15448

          public static final org.antlr.runtime.BitSet FOLLOW_ellipse_in_fullcircularmovement15448

    - #### FOLLOW_sizechangenonlinear_in_fullcircularmovement15471

          public static final org.antlr.runtime.BitSet FOLLOW_sizechangenonlinear_in_fullcircularmovement15471

    - #### FOLLOW_CRCLRMVMT_in_circularmovement15518

          public static final org.antlr.runtime.BitSet FOLLOW_CRCLRMVMT_in_circularmovement15518

    - #### FOLLOW_movementcircle_in_circularmovement15536

          public static final org.antlr.runtime.BitSet FOLLOW_movementcircle_in_circularmovement15536

    - #### FOLLOW_movementcircle_in_circularmovement15554

          public static final org.antlr.runtime.BitSet FOLLOW_movementcircle_in_circularmovement15554

    - #### FOLLOW_ellipsedirection_in_ellipse15623

          public static final org.antlr.runtime.BitSet FOLLOW_ellipsedirection_in_ellipse15623

    - #### FOLLOW_size_in_ellipse15642

          public static final org.antlr.runtime.BitSet FOLLOW_size_in_ellipse15642

    - #### FOLLOW_clock_in_revolutions15723

          public static final org.antlr.runtime.BitSet FOLLOW_clock_in_revolutions15723

    - #### FOLLOW_HamClockfull_in_revolutions15755

          public static final org.antlr.runtime.BitSet FOLLOW_HamClockfull_in_revolutions15755

    - #### FOLLOW_HamClockfull_in_revolutions15784

          public static final org.antlr.runtime.BitSet FOLLOW_HamClockfull_in_revolutions15784

    - #### FOLLOW_HamClockfull_in_revolutions15833

          public static final org.antlr.runtime.BitSet FOLLOW_HamClockfull_in_revolutions15833

    - #### FOLLOW_HamClockfull_in_revolutions15862

          public static final org.antlr.runtime.BitSet FOLLOW_HamClockfull_in_revolutions15862

    - #### FOLLOW_clock_in_revolutions15909

          public static final org.antlr.runtime.BitSet FOLLOW_clock_in_revolutions15909

    - #### FOLLOW_wristmovement_in_fullwristmovement15972

          public static final org.antlr.runtime.BitSet FOLLOW_wristmovement_in_fullwristmovement15972

    - #### FOLLOW_size_in_fullwristmovement15991

          public static final org.antlr.runtime.BitSet FOLLOW_size_in_fullwristmovement15991

    - #### FOLLOW_movementcross_in_fullmovementcross16054

          public static final org.antlr.runtime.BitSet FOLLOW_movementcross_in_fullmovementcross16054

    - #### FOLLOW_size_in_fullmovementcross16073

          public static final org.antlr.runtime.BitSet FOLLOW_size_in_fullmovementcross16073

    - #### FOLLOW_REPLACE_in_replacement16133

          public static final org.antlr.runtime.BitSet FOLLOW_REPLACE_in_replacement16133

    - #### FOLLOW_sizechange_in_replacement16152

          public static final org.antlr.runtime.BitSet FOLLOW_sizechange_in_replacement16152

    - #### FOLLOW_handshape1_in_replacement16174

          public static final org.antlr.runtime.BitSet FOLLOW_handshape1_in_replacement16174

    - #### FOLLOW_splitreplacetail_in_replacement16209

          public static final org.antlr.runtime.BitSet FOLLOW_splitreplacetail_in_replacement16209

    - #### FOLLOW_extfidir1_in_replacement16241

          public static final org.antlr.runtime.BitSet FOLLOW_extfidir1_in_replacement16241

    - #### FOLLOW_palmor1_in_replacement16264

          public static final org.antlr.runtime.BitSet FOLLOW_palmor1_in_replacement16264

    - #### FOLLOW_palmor1_in_replacement16300

          public static final org.antlr.runtime.BitSet FOLLOW_palmor1_in_replacement16300

    - #### FOLLOW_SPLITREPLACETL_in_splitreplacetail16354

          public static final org.antlr.runtime.BitSet FOLLOW_SPLITREPLACETL_in_splitreplacetail16354

    - #### FOLLOW_replacetail1_in_splitreplacetail16372

          public static final org.antlr.runtime.BitSet FOLLOW_replacetail1_in_splitreplacetail16372

    - #### FOLLOW_replacetail1_in_splitreplacetail16390

          public static final org.antlr.runtime.BitSet FOLLOW_replacetail1_in_splitreplacetail16390

    - #### FOLLOW_REPLACETAIL1_in_replacetail116440

          public static final org.antlr.runtime.BitSet FOLLOW_REPLACETAIL1_in_replacetail116440

    - #### FOLLOW_extfidir1_in_replacetail116472

          public static final org.antlr.runtime.BitSet FOLLOW_extfidir1_in_replacetail116472

    - #### FOLLOW_palmor1_in_replacetail116498

          public static final org.antlr.runtime.BitSet FOLLOW_palmor1_in_replacetail116498

    - #### FOLLOW_HamRepeatfromstart_in_repetition16562

          public static final org.antlr.runtime.BitSet FOLLOW_HamRepeatfromstart_in_repetition16562

    - #### FOLLOW_HamRepeatfromstartseveral_in_repetition16575

          public static final org.antlr.runtime.BitSet FOLLOW_HamRepeatfromstartseveral_in_repetition16575

    - #### FOLLOW_HamRepeatcontinue_in_repetition16615

          public static final org.antlr.runtime.BitSet FOLLOW_HamRepeatcontinue_in_repetition16615

    - #### FOLLOW_HamRepeatcontinueseveral_in_repetition16629

          public static final org.antlr.runtime.BitSet FOLLOW_HamRepeatcontinueseveral_in_repetition16629

    - #### FOLLOW_HamRepeatreverse_in_repetition16669

          public static final org.antlr.runtime.BitSet FOLLOW_HamRepeatreverse_in_repetition16669

    - #### FOLLOW_HamMoveu_in_movementarrow16713

          public static final org.antlr.runtime.BitSet FOLLOW_HamMoveu_in_movementarrow16713

    - #### FOLLOW_HamMoveur_in_movementarrow16736

          public static final org.antlr.runtime.BitSet FOLLOW_HamMoveur_in_movementarrow16736

    - #### FOLLOW_HamMover_in_movementarrow16758

          public static final org.antlr.runtime.BitSet FOLLOW_HamMover_in_movementarrow16758

    - #### FOLLOW_HamMovedr_in_movementarrow16781

          public static final org.antlr.runtime.BitSet FOLLOW_HamMovedr_in_movementarrow16781

    - #### FOLLOW_HamMoved_in_movementarrow16803

          public static final org.antlr.runtime.BitSet FOLLOW_HamMoved_in_movementarrow16803

    - #### FOLLOW_HamMovedl_in_movementarrow16826

          public static final org.antlr.runtime.BitSet FOLLOW_HamMovedl_in_movementarrow16826

    - #### FOLLOW_HamMovel_in_movementarrow16848

          public static final org.antlr.runtime.BitSet FOLLOW_HamMovel_in_movementarrow16848

    - #### FOLLOW_HamMoveul_in_movementarrow16871

          public static final org.antlr.runtime.BitSet FOLLOW_HamMoveul_in_movementarrow16871

    - #### FOLLOW_HamMoveol_in_movementarrow16893

          public static final org.antlr.runtime.BitSet FOLLOW_HamMoveol_in_movementarrow16893

    - #### FOLLOW_HamMoveo_in_movementarrow16915

          public static final org.antlr.runtime.BitSet FOLLOW_HamMoveo_in_movementarrow16915

    - #### FOLLOW_HamMoveor_in_movementarrow16938

          public static final org.antlr.runtime.BitSet FOLLOW_HamMoveor_in_movementarrow16938

    - #### FOLLOW_HamMoveil_in_movementarrow16960

          public static final org.antlr.runtime.BitSet FOLLOW_HamMoveil_in_movementarrow16960

    - #### FOLLOW_HamMovei_in_movementarrow16982

          public static final org.antlr.runtime.BitSet FOLLOW_HamMovei_in_movementarrow16982

    - #### FOLLOW_HamMoveir_in_movementarrow17005

          public static final org.antlr.runtime.BitSet FOLLOW_HamMoveir_in_movementarrow17005

    - #### FOLLOW_HamMoveui_in_movementarrow17027

          public static final org.antlr.runtime.BitSet FOLLOW_HamMoveui_in_movementarrow17027

    - #### FOLLOW_HamMovedi_in_movementarrow17049

          public static final org.antlr.runtime.BitSet FOLLOW_HamMovedi_in_movementarrow17049

    - #### FOLLOW_HamMovedo_in_movementarrow17071

          public static final org.antlr.runtime.BitSet FOLLOW_HamMovedo_in_movementarrow17071

    - #### FOLLOW_HamMoveuo_in_movementarrow17093

          public static final org.antlr.runtime.BitSet FOLLOW_HamMoveuo_in_movementarrow17093

    - #### FOLLOW_HamMovecross_in_movementcross17150

          public static final org.antlr.runtime.BitSet FOLLOW_HamMovecross_in_movementcross17150

    - #### FOLLOW_HamMovex_in_movementcross17169

          public static final org.antlr.runtime.BitSet FOLLOW_HamMovex_in_movementcross17169

    - #### FOLLOW_HamNodding_in_wristmovement17221

          public static final org.antlr.runtime.BitSet FOLLOW_HamNodding_in_wristmovement17221

    - #### FOLLOW_HamSwinging_in_wristmovement17242

          public static final org.antlr.runtime.BitSet FOLLOW_HamSwinging_in_wristmovement17242

    - #### FOLLOW_HamTwisting_in_wristmovement17262

          public static final org.antlr.runtime.BitSet FOLLOW_HamTwisting_in_wristmovement17262

    - #### FOLLOW_HamStircw_in_wristmovement17282

          public static final org.antlr.runtime.BitSet FOLLOW_HamStircw_in_wristmovement17282

    - #### FOLLOW_HamStirccw_in_wristmovement17304

          public static final org.antlr.runtime.BitSet FOLLOW_HamStirccw_in_wristmovement17304

    - #### FOLLOW_HamCircleo_in_movementcircle17353

          public static final org.antlr.runtime.BitSet FOLLOW_HamCircleo_in_movementcircle17353

    - #### FOLLOW_HamCirclei_in_movementcircle17374

          public static final org.antlr.runtime.BitSet FOLLOW_HamCirclei_in_movementcircle17374

    - #### FOLLOW_HamCircled_in_movementcircle17395

          public static final org.antlr.runtime.BitSet FOLLOW_HamCircled_in_movementcircle17395

    - #### FOLLOW_HamCircleu_in_movementcircle17416

          public static final org.antlr.runtime.BitSet FOLLOW_HamCircleu_in_movementcircle17416

    - #### FOLLOW_HamCirclel_in_movementcircle17437

          public static final org.antlr.runtime.BitSet FOLLOW_HamCirclel_in_movementcircle17437

    - #### FOLLOW_HamCircler_in_movementcircle17458

          public static final org.antlr.runtime.BitSet FOLLOW_HamCircler_in_movementcircle17458

    - #### FOLLOW_HamCircleul_in_movementcircle17479

          public static final org.antlr.runtime.BitSet FOLLOW_HamCircleul_in_movementcircle17479

    - #### FOLLOW_HamCircledr_in_movementcircle17499

          public static final org.antlr.runtime.BitSet FOLLOW_HamCircledr_in_movementcircle17499

    - #### FOLLOW_HamCircleur_in_movementcircle17519

          public static final org.antlr.runtime.BitSet FOLLOW_HamCircleur_in_movementcircle17519

    - #### FOLLOW_HamCircledl_in_movementcircle17539

          public static final org.antlr.runtime.BitSet FOLLOW_HamCircledl_in_movementcircle17539

    - #### FOLLOW_HamCircleol_in_movementcircle17559

          public static final org.antlr.runtime.BitSet FOLLOW_HamCircleol_in_movementcircle17559

    - #### FOLLOW_HamCircleir_in_movementcircle17579

          public static final org.antlr.runtime.BitSet FOLLOW_HamCircleir_in_movementcircle17579

    - #### FOLLOW_HamCircleor_in_movementcircle17599

          public static final org.antlr.runtime.BitSet FOLLOW_HamCircleor_in_movementcircle17599

    - #### FOLLOW_HamCircleil_in_movementcircle17619

          public static final org.antlr.runtime.BitSet FOLLOW_HamCircleil_in_movementcircle17619

    - #### FOLLOW_HamCircleui_in_movementcircle17639

          public static final org.antlr.runtime.BitSet FOLLOW_HamCircleui_in_movementcircle17639

    - #### FOLLOW_HamCircledo_in_movementcircle17659

          public static final org.antlr.runtime.BitSet FOLLOW_HamCircledo_in_movementcircle17659

    - #### FOLLOW_HamCircledi_in_movementcircle17679

          public static final org.antlr.runtime.BitSet FOLLOW_HamCircledi_in_movementcircle17679

    - #### FOLLOW_HamCircleuo_in_movementcircle17699

          public static final org.antlr.runtime.BitSet FOLLOW_HamCircleuo_in_movementcircle17699

    - #### FOLLOW_HamEllipseh_in_ellipsedirection17755

          public static final org.antlr.runtime.BitSet FOLLOW_HamEllipseh_in_ellipsedirection17755

    - #### FOLLOW_HamEllipseur_in_ellipsedirection17775

          public static final org.antlr.runtime.BitSet FOLLOW_HamEllipseur_in_ellipsedirection17775

    - #### FOLLOW_HamEllipsev_in_ellipsedirection17794

          public static final org.antlr.runtime.BitSet FOLLOW_HamEllipsev_in_ellipsedirection17794

    - #### FOLLOW_HamEllipseul_in_ellipsedirection17814

          public static final org.antlr.runtime.BitSet FOLLOW_HamEllipseul_in_ellipsedirection17814

    - #### FOLLOW_HamClocku_in_clock17876

          public static final org.antlr.runtime.BitSet FOLLOW_HamClocku_in_clock17876

    - #### FOLLOW_HamClockul_in_clock17898

          public static final org.antlr.runtime.BitSet FOLLOW_HamClockul_in_clock17898

    - #### FOLLOW_HamClockl_in_clock17919

          public static final org.antlr.runtime.BitSet FOLLOW_HamClockl_in_clock17919

    - #### FOLLOW_HamClockdl_in_clock17941

          public static final org.antlr.runtime.BitSet FOLLOW_HamClockdl_in_clock17941

    - #### FOLLOW_HamClockd_in_clock17962

          public static final org.antlr.runtime.BitSet FOLLOW_HamClockd_in_clock17962

    - #### FOLLOW_HamClockdr_in_clock17984

          public static final org.antlr.runtime.BitSet FOLLOW_HamClockdr_in_clock17984

    - #### FOLLOW_HamClockr_in_clock18005

          public static final org.antlr.runtime.BitSet FOLLOW_HamClockr_in_clock18005

    - #### FOLLOW_HamClockur_in_clock18027

          public static final org.antlr.runtime.BitSet FOLLOW_HamClockur_in_clock18027

    - #### FOLLOW_HamFast_in_modifier18088

          public static final org.antlr.runtime.BitSet FOLLOW_HamFast_in_modifier18088

    - #### FOLLOW_HamSlow_in_modifier18112

          public static final org.antlr.runtime.BitSet FOLLOW_HamSlow_in_modifier18112

    - #### FOLLOW_HamTense_in_modifier18136

          public static final org.antlr.runtime.BitSet FOLLOW_HamTense_in_modifier18136

    - #### FOLLOW_HamRest_in_modifier18159

          public static final org.antlr.runtime.BitSet FOLLOW_HamRest_in_modifier18159

    - #### FOLLOW_HamHalt_in_modifier18183

          public static final org.antlr.runtime.BitSet FOLLOW_HamHalt_in_modifier18183

    - #### FOLLOW_HamArcl_in_arc18246

          public static final org.antlr.runtime.BitSet FOLLOW_HamArcl_in_arc18246

    - #### FOLLOW_HamArcu_in_arc18270

          public static final org.antlr.runtime.BitSet FOLLOW_HamArcu_in_arc18270

    - #### FOLLOW_HamArcr_in_arc18294

          public static final org.antlr.runtime.BitSet FOLLOW_HamArcr_in_arc18294

    - #### FOLLOW_HamArcd_in_arc18318

          public static final org.antlr.runtime.BitSet FOLLOW_HamArcd_in_arc18318

    - #### FOLLOW_HamSmallmod_in_size18380

          public static final org.antlr.runtime.BitSet FOLLOW_HamSmallmod_in_size18380

    - #### FOLLOW_HamLargemod_in_size18400

          public static final org.antlr.runtime.BitSet FOLLOW_HamLargemod_in_size18400

    - #### FOLLOW_HamIncreasing_in_sizechange18452

          public static final org.antlr.runtime.BitSet FOLLOW_HamIncreasing_in_sizechange18452

    - #### FOLLOW_HamDecreasing_in_sizechange18470

          public static final org.antlr.runtime.BitSet FOLLOW_HamDecreasing_in_sizechange18470

  - ### Constructor Detail

    - #### Ham4HMLGen

          public Ham4HMLGen(org.antlr.runtime.tree.TreeNodeStream input)

    - #### Ham4HMLGen

          public Ham4HMLGen(org.antlr.runtime.tree.TreeNodeStream input,
                            org.antlr.runtime.RecognizerSharedState state)

  - ### Method Detail

    - #### getDelegates

          public org.antlr.runtime.tree.TreeParser[] getDelegates()

    - #### getTokenNames

          public java.lang.String[] getTokenNames()

      Overrides:
        `getTokenNames` in class `org.antlr.runtime.BaseRecognizer`

    - #### getGrammarFileName

          public java.lang.String getGrammarFileName()

      Overrides:
        `getGrammarFileName` in class `org.antlr.runtime.BaseRecognizer`

    - #### hamsignseq

          public final org.w3c.dom.Element hamsignseq(HMLBuilder sb)
                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### sign2or1

          public final org.w3c.dom.Element sign2or1()
                                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### sign2

          public final org.w3c.dom.Element sign2()
                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### nondomsign1

          public final org.w3c.dom.Element nondomsign1()
                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### symmoperator

          public final org.w3c.dom.Element symmoperator()
                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### initialconfig2

          public final org.w3c.dom.Element[] initialconfig2()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### initialconfig1

          public final org.w3c.dom.Element[] initialconfig1()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### nminitialconfig

          public final org.w3c.dom.Element nminitialconfig()
                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### nmicunit

          public final org.w3c.dom.Element[] nmicunit()
                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### minitialconfig2

          public final org.w3c.dom.Element minitialconfig2()
                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### minitialconfig1

          public final org.w3c.dom.Element minitialconfig1()
                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### handconfig2

          public final org.w3c.dom.Element handconfig2()
                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### handconfig1

          public final org.w3c.dom.Element handconfig1()
                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### splithandconfig2

          public final org.w3c.dom.Element splithandconfig2()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### handconfigtail2

          public final org.w3c.dom.Element[] handconfigtail2()
                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### handshape2

          public final org.w3c.dom.Element handshape2()
                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### handshape1

          public final org.w3c.dom.Element handshape1()
                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### basichandshape1

          public final java.lang.String[][] basichandshape1()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### basichandshape

          public final java.lang.String[] basichandshape()
                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### handshapeclass

          public final java.lang.String handshapeclass()
                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### fingerbending

          public final java.lang.String fingerbending()
                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### thumbpos

          public final java.lang.String thumbpos()
                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### thumb

          public final org.w3c.dom.Element thumb()
                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### finger

          public final org.w3c.dom.Element finger()
                                           throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### hsfingeritem

          public final org.w3c.dom.Element hsfingeritem()
                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### digit

          public final org.w3c.dom.Element digit()
                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### fingerlist

          public final org.w3c.dom.Element[] fingerlist()
                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### fingershapelist

          public final org.w3c.dom.Element[] fingershapelist()
                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### fingercrossinglist

          public final org.w3c.dom.Element[] fingercrossinglist()
                                                         throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### fingershape

          public final org.w3c.dom.Element fingershape()
                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### fingercrossing

          public final org.w3c.dom.Element fingercrossing()
                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### thumbspecial

          public final org.w3c.dom.Element thumbspecial()
                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### fingerpart

          public final org.w3c.dom.Element fingerpart()
                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### extfidir2

          public final org.w3c.dom.Element extfidir2()
                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### extfidir1

          public final org.w3c.dom.Element extfidir1()
                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### extfidir

          public final java.lang.String extfidir()
                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### palmor2

          public final org.w3c.dom.Element palmor2()
                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### palmor1

          public final org.w3c.dom.Element palmor1()
                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### palmor

          public final java.lang.String palmor()
                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### location2

          public final org.w3c.dom.Element location2()
                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### location1

          public final org.w3c.dom.Element location1()
                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### locationbodyarm

          public final org.w3c.dom.Element locationbodyarm()
                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### locationbody

          public final org.w3c.dom.Element locationbody()
                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### locationhand

          public final org.w3c.dom.Element locationhand()
                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### locationarm

          public final org.w3c.dom.Element locationarm()
                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### levelcomplexbody

          public final org.w3c.dom.Element levelcomplexbody()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### levelcomplexhand

          public final org.w3c.dom.Element levelcomplexhand()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### levelcomplexarm

          public final org.w3c.dom.Element levelcomplexarm()
                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### levelbody

          public final org.w3c.dom.Element levelbody()
                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### levelhand

          public final org.w3c.dom.Element levelhand()
                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### levelarm

          public final org.w3c.dom.Element levelarm()
                                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### contactbody

          public final org.w3c.dom.Element contactbody()
                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### contacthand

          public final org.w3c.dom.Element contacthand()
                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### contactofhand

          public final org.w3c.dom.Element contactofhand()
                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### contactohhand

          public final org.w3c.dom.Element contactohhand()
                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### contactoharm

          public final org.w3c.dom.Element contactoharm()
                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### handconstellation

          public final org.w3c.dom.Element handconstellation()
                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### locarm

          public final java.lang.String locarm()
                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### locbody

          public final java.lang.String locbody()
                                         throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### locsided

          public final java.lang.String locsided()
                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### handpart

          public final org.w3c.dom.Element handpart()
                                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### side

          public final java.lang.String side(java.lang.String lh_or_rh)
                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### dorsalorpalmar

          public final java.lang.String dorsalorpalmar()
                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### pcontact

          public final org.w3c.dom.Element pcontact()
                                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ccontact

          public final org.w3c.dom.Element ccontact()
                                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### a2tstar

          public final org.w3c.dom.Element[] a2tstar()
                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### a1tstar

          public final org.w3c.dom.Element[] a1tstar()
                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### action2t

          public final org.w3c.dom.Element action2t()
                                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### action1t

          public final org.w3c.dom.Element action1t()
                                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### action1

          public final org.w3c.dom.Element action1()
                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### paraction2t

          public final org.w3c.dom.Element paraction2t()
                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### seqaction2t

          public final org.w3c.dom.Element seqaction2t()
                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### seqfusedaction2t

          public final org.w3c.dom.Element seqfusedaction2t()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### splitaction2loc2

          public final org.w3c.dom.Element splitaction2loc2()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### splitaction2t

          public final org.w3c.dom.Element splitaction2t()
                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### paraction1t

          public final org.w3c.dom.Element paraction1t()
                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### seqaction1t

          public final org.w3c.dom.Element seqaction1t()
                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### seqfusedaction1t

          public final org.w3c.dom.Element seqfusedaction1t()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### nmaction1t

          public final org.w3c.dom.Element nmaction1t()
                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### paraction1

          public final org.w3c.dom.Element paraction1()
                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### seqaction1

          public final org.w3c.dom.Element seqaction1()
                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### seqfusedaction1

          public final org.w3c.dom.Element seqfusedaction1()
                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### repetitions

          public final void repetitions(org.w3c.dom.Element action)
                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### movingrepetition

          public final void movingrepetition(org.w3c.dom.Element action)
                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### simplemovement

          public final org.w3c.dom.Element simplemovement()
                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### fullstraightmovement

          public final org.w3c.dom.Element fullstraightmovement()
                                                         throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### straightmovement

          public final org.w3c.dom.Element straightmovement()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### arckind

          public final void arckind(org.w3c.dom.Element ake)
                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### zigzag

          public final void zigzag(org.w3c.dom.Element zze)
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### sizechangenonlinear

          public final void sizechangenonlinear(org.w3c.dom.Element sce)
                                         throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### fullcircularmovement

          public final org.w3c.dom.Element fullcircularmovement()
                                                         throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### circularmovement

          public final org.w3c.dom.Element circularmovement()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ellipse

          public final org.w3c.dom.Element ellipse()
                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### revolutions

          public final void revolutions(org.w3c.dom.Element reve)
                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### fullwristmovement

          public final org.w3c.dom.Element fullwristmovement()
                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### fullmovementcross

          public final org.w3c.dom.Element fullmovementcross()
                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### replacement

          public final org.w3c.dom.Element replacement()
                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### splitreplacetail

          public final org.w3c.dom.Element splitreplacetail()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### replacetail1

          public final org.w3c.dom.Element replacetail1()
                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### repetition

          public final java.lang.String repetition()
                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### movementarrow

          public final java.lang.String movementarrow()
                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### movementcross

          public final java.lang.String movementcross()
                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### wristmovement

          public final java.lang.String wristmovement()
                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### movementcircle

          public final java.lang.String movementcircle()
                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ellipsedirection

          public final java.lang.String ellipsedirection()
                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### clock

          public final java.lang.String clock()
                                       throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### modifier

          public final java.lang.String modifier()
                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### arc

          public final java.lang.String arc()
                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### size

          public final java.lang.String size()
                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### sizechange

          public final java.lang.String sizechange()
                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`